"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="2"
"UIPATH 1"="Program Options\Other Programs\Adobe\Acrobat Reader 6.0\"
"NAME"="Acrobat Reader Plug-ins"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Show Info"
"TEXT 2"="Enable/Disable"
"DESCRIPTION 1"="Since Acrobat Reader 6.0, Adobe has included a lot of feature into Acrobat Reader from programs that were available separately before (for example the eBook Reader). This has been done by creating plug-ins for Acrobat Reader that are loaded when the program starts."
"DESCRIPTION 2"="While this is basically a good idea, it now forced Acrobat Reader to load all plug-in into memory (at about 25 in the full version). Most of these plug-in are not needed by the average user that just wants to view a *.PDF file. "
"DESCRIPTION 3"="These settings allow you to disable groups of plug-in that are not needed by the average user. After each name, you see how big all plug-ins of the group (approx.). To learn more about a group, click the "Show Info" button. To disable or enable a group, just click the "Enable/Disable" button. Please note that this does _NOT_ delete the plug-ins but simply prevents Acrobat Reader from loading them. You can later on always enable them again if need the functionality of the plug-ins. "
"DESCRIPTION 4"="On an average machine this can speed up the loading of Acrobat Reader from 8 seconds to around about 1 second (800% faster!). "
"DESCRIPTION 5"="To see the currently loaded plug-ins in Acrobat Reader, check Help -> About Adobe Plug-Ins. Of course it will not show you any plug-ins from a group you have disabled here. "
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to mc for the idea!"


cInstallPath="HKLM\SOFTWARE\Adobe\Acrobat Reader\6.0\InstallPath\@"
cPlugsPath="plug_ins\"
cCR=chr(13) & chr(10)
cCR2=chr(13) & chr(13)

cDisabled=" [DISABLED]"

sPath=""


cMaxItems=8
Dim aryNam(8) '=Group Name
Dim aryAPI1(8)
Dim aryAPI2(8)
Dim aryDes(8)
Dim arySug(8)


aryNam(1)="Accessibility (~ 4 MB)"
aryAPI1(1)="Accessibility.api"
aryAPI2(1)="MakeAccessible.api"
aryDes(1)="Interaction with accessibility tags and programs (Screen Readers, Text to Speech etc.)"
arySug(1)="You do not need accessibility features within Acrobat Reader"


aryNam(2)="eBook DRM Support (~ 1.3 MB)"
aryAPI1(2)="eBook.api"
aryAPI2(2)=""
aryDes(2)="Digital Rights Management, mostly used for eBooks (former Adobe eBook Reader)"
arySug(2)="You do not want to use Acrobat Reader for reading eBooks (removes the eBooks toolbar button also)"


aryNam(3)="Comments/XFA Support (~ 3.3 MB)"
aryAPI1(3)="annotations\annots.api"
aryAPI2(3)="XFA.api"
aryDes(3)="Comments and XML Forms Architecture (XFA)"
arySug(3)="You do not fill out a XML PDF form and you do not add comments to a PDF file"


aryNam(4)="PrintMe Network Support (~ 0.3 MB)"
aryAPI1(4)="printme.api"
aryAPI2(4)=""
aryDes(4)="Access to send current PDF to PrintMe capable devices"
arySug(4)="You do not want to sent PDF files to the PrintMe network (removes the PrintMe menus and buttons also)"


aryNam(5)="Public-Key/Signatures (~ 2.7 MB)"
aryAPI1(5)="PPKLite.api"
aryAPI2(5)="DigSig.api"
aryDes(5)="Digital Signatures and Public-key signing and encryption support"
arySug(5)="You do not deal with digital signed or encrypted PDF files"


aryNam(6)="Send Mail Command (~ 0.1 MB)"
aryAPI1(6)="SendMail.api"
aryAPI2(6)=""
aryDes(6)="Toolbar button to send current PDF via email"
arySug(6)="You do want to get rid of the Send As Email toolbar button and menu command"


aryNam(7)="Multimedia Support (~ 1.2 MB)"
aryAPI1(7)="multimedia\multimedia.api"
aryAPI2(7)=""
aryDes(7)="Allows multimedia content (movies, sounds) to be embedded into a PDF file"
arySug(7)="You do not expect PDF files to contain videos, music files etc."


aryNam(8)="Web Updater (~ 0.3 MB)"
aryAPI1(8)="Updater.api"
aryAPI2(8)=""
aryDes(8)="Handles automatic updates"
arySug(8)="You do not want Acrobat Reader to update itself automatically by using the adobe.com web site"


'aryNam(3)="Highlight Server" '49 kB !!! 
'aryAPI(3)="HLS.api"
'aryDes(3)="Highlight Server plug-in"
'arySug(3)=""

'aryNam(4)="SOAP"
'aryAPI(4)="SOAP.api"
'aryDes(4)="SOAP (Simple Object Access Protocol)"
'arySug(4)=""

'aryNam(6)="WorldReady Enabled"
'aryAPI(6)="WorldReady.api"
'aryDes(6)="multinlingual support"
'arySug(6)=""

'aryNam(14)="SaveAsRTF"
'aryAPI(14)="SaveAsRTF.api"
'aryDes(14)="Ability to save a PDF in RTF (Richt Text Format) if the author has allowed this"
'arySug(14)=""



SUB Plugin_Initialize
 sPath=RegReadValue(cInstallPath)
 if IsEmpty(sPath)=false and len(sPath)>0 then
    if right(sPath,1)<>"\" then
       sPath=sPath & "\"
    end if
    sPath=sPath & cPlugsPath

    If FolderExists(sPath)=true then
       'Call DebugMsg(sPath)
       Call ReadAllFiles()    
    else
      Call Disable
    end if
 else
    Call Disable()
 end if

END SUB

Sub ReadAllFiles
 for i=1 to ubound(aryAPI1)
     Call SetUIElement(i,"")
 next

 for i=1 to ubound(aryAPI1)
           sName=aryNam(i) 
           iPS=GetPluginState(aryAPI1(i))
           if iPS>0 then 
              if iPS=2 then sName=sName & cDisabled

              Call SetUIElement(i,sName)
           else
              'plug not found?!?!?!
              Call DebugMsg("Not found: " & sName)
           end if
       next
End Sub


'Returns the status of a plug-in
'0 = file not found, plug-in properly not installed
'1 = installed and activated
'2 = installed and deactivated
Function GetPluginState(PluginAPIName)
 if FileExists(sPath & PluginAPIName) then
    r=1
 else
    if FileExists(sPath & PluginAPIName & "-") then
       r=2
    else
       r=0
    end if
 end if

 GetPluginState=r
End Function

Sub SetPluginState(PluginAPIName,EnableIt)
 if len(PluginAPIName)>0 then 
    if EnableIt then
       Call FileRename(sPath & PluginAPIName & "-", sPath & PluginAPIName) 
    else
       Call FileRename(sPath & PluginAPIName, sPath & PluginAPIName & "-") 
    end if
 end if

End Sub


SUB Plugin_CheckData(ElementIndex)
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 if ElementSubIndex>0 then
    'sAPI=aryAPI(ElementSubIndex)
    'Call MsgInformation(sAPI)

    if ElementIndex=1 then 'Show Info     
       sText=""
       sText=sText & "Group Name: " & aryNam(ElementSubIndex) & cCR2
       sText=sText & "Loaded from file 1: " & aryAPI1(ElementSubIndex) & cCR
       sText=sText & "Loaded from file 2: " & aryAPI2(ElementSubIndex) & cCR2
       sText=sText & aryDes(ElementSubIndex) & cCR2
       sText=sText & "Disable it if: " & arySug(ElementSubIndex)
 
       Call MsgInformation(sText)
    end if


    if ElementIndex=2 then 'Enable/Disable
       sUIText=GetUIElement(ElementSubIndex) 

       bIsEnabled=true
       If InStr(sUIText,cDisabled)>0 then
          'is not enabled
          bIsEnabled=false
       end if
 
       Call SetPluginState(aryAPI1(ElementSubIndex),(not bIsEnabled))
       Call SetPluginState(aryAPI2(ElementSubIndex),(not bIsEnabled))
       'Call SetPluginState(aryAPI3(ElementSubIndex),(not bIsEnabled))
       Call ReadAllFiles
    end if


 else
    Call MsgWarning("Please select an item first") 
 end if


END SUB

SUB Plugin_Terminate
END SUB
