"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="2"
"UIPATH"="Appearance\System\Open/Save Dialog"
"NAME"="Clear Open/Save MRU Entries"
"VERSION"="1.02"
"LANGUAGE"="VBScript"
"OSVERSION"="0001011"
"TEXT 1"="Show Info"
"TEXT 2"="Delete!"
"DESCRIPTION 1"="Most programs use the build-in Open/Save dialog of Windows. Since Windows 2000, this dialog saves which files has been recently open or saved in a so called MRU list (MRU = Most Recent Used files)."
"DESCRIPTION 2"="This MRU list is independent from the MRU list a program maybe provides, so it basically contains information about all files you have used recently."
"DESCRIPTION 3"="It is organized by file type, so you see all file types in this plug-in that the MRU List currently contains. The name in brackets shows the user-friendly name of the file type. "
"DESCRIPTION 4"="If you want to know which information have been saved about a file type, just click the "Show Info" button and the entries that are saved are displayed (please note that this list is truncated after 15 entries). To delete the information about this file type, just click the "Delete!" button. The entries will be totally erased."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Infos about this plug-in found at  http://www.spywareinfo.com/articles/comdlg32/"
"COMMENT 2"="Reference (from spywareinfo): http://msdn.microsoft.com/library/en-us/policy/policyovr_1cfn.asp?frame=true#_win32_remove_mru_list"


sPath="HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\ComDlg32\OpenSaveMRU"

MRUListValue="MRUList"

dim iItems        'contains the total amount of the registry keys
Dim aryItems()    'contains the name of the Registry paths 

Sub Plugin_Initialize 
    iItems=0
    Call ReadItems()
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if ElementSubIndex<=0 then
    Call MsgError("Please select an item first.")
 else
    s=GetUIElement(ElementSubIndex) 
    i=InStr(s," ")
    sItem=Left(s,i-1)

    If ElementIndex=1 then 'Show Info
       sMsg="The following items are stored for your selection (max. 15 entries):"  
       sMsg=sMsg & chr(13) & chr(10)
       sMsg=sMsg & GetSingleInfo(sItem)

       Call MsgInformation(sMsg)
    else
       Call DeleteItem(sItem)
       Call MsgInformation("Items have been deleted!")
       Call ReadItems()
    end if
 end if
End Sub


Sub Plugin_Terminate 
End Sub


Sub ReadItems
    'clear the UI
    For l=1 to iItems
        Call SetUIElement(l,"")
    next 

    'read the registry
    iItems=RegEnumPaths(sPath) 
    

    For l=1 to iItems       
        sItem=RegEnumElement(l)   
        sTxt=GetFileDescription("." & sItem)
 
        Call SetUIElement(l,ucase(sItem) & " Files [" & sTxt & "]")
    next 
End Sub


Function GetSingleInfo(Item)
 iCount=RegEnumValues(sPath & "\" & Item)

 sOut=""

 For l=1 to iCount
     'do not read MRUList value... 
     if ucase(RegEnumElement(l))<>ucase(MRUListValue) then
        myPath=sPath & "\" & Item & "\" & RegEnumElement(l)
        myVal=RegReadValue(myPath)

        sOut=sOut & myVal & chr(13) & chr(10)
     end if

     'do not display then 15 items
     if l>15 then exit for
 next 
 
 GetSingleInfo=sOut
End Function



'VERSION 1.1
'returns the readable description for a file TYPE. Input is the
'raw file type (e.g. ".TXT"). 
Function GetFileDescription(DotType)
  sxd_BasePath="HKLM\Software\Classes\"

  sxd_Path=sxd_BasePath & DotType & "\@"
  sxd_Val=RegReadValue(sxd_Path)

  if IsEmpty(sxd_Val)=true then
     'extended description not found! return default
     GetFileDescription="<UNKNOWN>"
  else
     'found, now get the "real" description
     sxd_Path=sxd_BasePath & sxd_Val & "\@"
     sxd_Name=RegReadValue(sxd_Path)
     
     if IsEmpty(sxd_Name)=true then
        'argh! 
        GetFileDescription="<UNKNOWN>"
     else
        GetFileDescription=sxd_Name
     end if
  end if

End Function


Function DeleteItem(Item)
 iCount=RegEnumValues(sPath & "\" & Item)

 For l=iCount to 1 step -1
     RegDeleteValue(sPath & "\" & Item & "\" & RegEnumElement(l))
 next    

 Call RegDeletePath(sPath & "\" & Item)


End Function
