"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Network\Server\Computer Browser Service"
"NAME"="Browser Service Remote Shutdown"
"VERSION"="1.11"
"OSVERSION"="0101011"
"WARNING"="1"
"LANGUAGE"="VBScript"
"TEXT 1"="Allow Remote Shutdown of Computer Browser Service"
"DESCRIPTION 1"="By default, any user can send commands to all machines in the current subnet to shutdown their Computer Browser Service (ResetBrowser request)."
"DESCRIPTION 2"="If this option is deactivated, this computer will IGNORE any requests to shutdown the Computer Browser service."
"DESCRIPTION 3"="This might be a good idea for a high-security site."
"DESCRIPTION 4"="IMPORTANT: To enable this setting, you must either have NT 4.0 SP 6a Security Rollup Package (SRP) or Windows 2000 SP2. Windows XP (and upwards) do not need a special patch to make this setting work."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="see http://support.microsoft.com/default.aspx?scid=kb;en-us;Q262694 "
"COMMENT 2"="see http://registry.winguides.com/display.php/789/"

sV1="HKLM\SYSTEM\CurrentControlSet\Services\MrxSmb\Parameters\RefuseReset"

Sub Plugin_Initialize 
    i=RegReadValue(sV1)
    if i=0 or IsEmpty(i) then SetUIElement 1,true
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 If GetUIElement(1)=true then
    if RegValueExists(sV1) then Call RegDeleteValue(sV1)
 else
    Call RegWriteValue(sV1,1,2)
 end if


 Call Restart
End Sub


Sub Plugin_Terminate 
End Sub



