"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="4"
"UIPATH 1"="Appearance\Explorer\Settings"
"UIPATH 2"="Appearance\Files&Folders\Drives"
"NAME"="Drive Label Display"
"VERSION"="1.11"
"LANGUAGE"="VBScript"
"OSVERSION"="0001011"
"TEXT 1"="(Use Explorer Default)"
"TEXT 2"="Always show drive letters first"
"TEXT 3"="Show drive letters first on network drives only"
"TEXT 4"="Never ever display drive letters"
"DESCRIPTION 1"="By default, the Windows Explorer will show drive labels in the form "<Volume Name> (DRIVE:)", for example "Data  (D:)". If you are using shared drives from other computers, it will even append the server name "my-shared-data on CORP-SERVER-1 (F:)" so the drive letter is nearly not visible anymore.
"DESCRIPTION 2"="With this setting you can control that the drive letter should come first, or that it should behave differently for local drives and network drives.
"DESCRIPTION 3"="To restore the default behavior of Windows Explorer again, simply select the first entry.
"DESCRIPTION 4"="Note: This change applies to ALL users on this computer.
"AUTHOR"="Todd Lincoln  / Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Todd Lincoln [todd@csg-az.com] for this setting!"

sP="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\"
sV="ShowDriveLettersFirst"
' 1 = only network drive show first
' 2 = no drive lettters whatsover
' 3/0 = no change??!?!?!
' 4 = always first


Sub Plugin_Initialize 
 i=RegReadValue(sP & sV)
 if IsEmpty(i) or i=0 then
    Call SetUIElement(1,true)
 else
    if i=4 then Call SetUIElement(2,true)
    if i=1 then Call SetUIElement(3,true)
    if i=2 then Call SetUIElement(4,true)
 end if
End Sub



Sub Plugin_Apply(ElementIndex,ElementSubIndex)
   i=empty
   if GetUIElement(1)=true then i=0
   if GetUIElement(2)=true then i=4
   if GetUIElement(3)=true then i=1
   if GetUIElement(4)=true then i=2

   if i>0 then
      Call RegWriteValue(sP & sV,i,2)
   else
      if RegValueExists(sP & sV) then
         Call RegDeleteValue(sP & sV)
      end if
   end if

   Call Restart()
End Sub

Sub Plugin_Terminate 
End Sub
