"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Appearance\Explorer\Settings (Advanced)"
"NAME"="File ACL Copy Enforce"
"OSVERSION"="0001011"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Always copy file-ACL information with file"
"DESCRIPTION 1"="If a drive is using the NTFS file-system (default for Windows 2000, XP and above), each file on it can have an ACL, an Access Control List. This ACL controls which people have and have not access to the file in question."
"DESCRIPTION 2"="When you _move_ a file from one location to another, Windows automatically moves the ACL with it, so it has exactly the same ACL on the new location. However, when you _COPY_ a file, Windows does normally not copy the ACL but instead use the ACL of the new location. If you don't think about this, you might give people access to the files that they should never see."
"DESCRIPTION 3"="If this setting is activated, Windows will ALWAYS copy the ACL along with the file, no matter if you move or copy a file. "
"DESCRIPTION 4"="Please note that this is a per-user setting!"
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="ripped from David Chernicoff, david@winnetmag.com"


sV1="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\ForceCopyACLWithFile" 'DW

Sub Plugin_Initialize 
 s=RegReadValue(sV1)
 if s="1" then SetUIElement 1,true
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
    Call RegWriteValue(sV1,"1",2)
 else
    if RegValueExists(sV1) then
       Call RegDeleteValue(sV1)
    end if
 end if


 Call Logoff()
End Sub

Sub Plugin_Terminate 
End Sub
