"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="5"
"COUNT"="1"
"UIPATH 1"="Internet\Internet Explorer\URL Handling"
"UIPATH 2"="Virtual Paranoia\Program Hijacking"
"NAME"="Internet Explorer Home Page Changes"
"LANGUAGE"="VBScript"
"VERSION"="1.04"
"TEXT 1"="Enable changing home page"
"DESCRIPTION 1"="Some websites try to "hijack" your Internet Explorer by changing your default home page and prevent you from changing it back again."
"DESCRIPTION 2"="When this happens, and you try to use Internet Options -> Home page, you will either not be able to change the home page (since the controls are locked) or you are able to change the home page but the changes do not stick."
"DESCRIPTION 3"="This plug-in scans your registry for known entries that might prevent you from changing the home page of Internet Explorer. If it finds at least one entry, it will inform you about this."
"DESCRIPTION 4"="Simply click on the button to remove these entries so you should be able to change your home page again."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=""

Dim aryLoc(3)
aryLoc(1)="\Software\Policies\Microsoft\Internet Explorer\Control Panel\HomePage" 'DW: 1 = no set
aryLoc(2)="\Software\Policies\Microsoft\Internet Explorer\Restrictions\NoSetHomePage" 'dito
aryLoc(3)="\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoSetHomePage" 'dito
cCount=3

cHKCU="HKCU"
cHKLM="HKLM"


SUB Plugin_Initialize  
 bStatus=true

 for l=1 to cCount
     sReg=cHKCU & aryLoc(l)
     if RegReadValue(sReg)=1 then bStatus=false
 next

 for l=1 to cCount 
     sReg=cHKLM & aryLoc(l)
     if RegReadValue(sReg)=1 then bStatus=false
 next

 if bStatus=false then Call MsgWarning("At least ony registry entry has been found that might prevent you from changing the home page. Applying this plug-in is recommended.")
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 for l=1 to cCount 
     sReg=cHKCU & aryLoc(l)
     if RegValueExists(sReg) then Call RegDeleteValue(sReg)
 next

 for l=1 to cCount
     sReg=cHKLM & aryLoc(l)
     if RegValueExists(sReg) then Call RegDeleteValue(sReg)
 next

 Call MsgInformation("Done!")
END SUB

SUB Plugin_Terminate
END SUB

