"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="3"
"UIPATH"="Internet\Outlook Express\System"
"NAME"="Advanced Options"
"LANGUAGE"="VBScript"
"VERSION"="3.01"
"TEXT 1"="Enable creation of new accounts (email, news etc.)"
"TEXT 2"="Enable HTTP mail accounts support"
"TEXT 3"="Enable EXE attachments"
"DESCRIPTION 1"="Option #1: When disabled, the "Accounts" option is removed from the Tools menu, so that no new accounts can be created. Enabling this allows, access to the "Accounts" dialog."
"DESCRIPTION 2"="Option #2: When disabled, you will be unable to use email accounts which use the HTTP protocol. This includes Hotmail accounts."
"DESCRIPTION 3"="Option #3: When disabled, you will be unable to save or start EXE attachments. It's highly recommended to set this to disabled, since most EXE attachments are viruses."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="HTTP Mail option added by Neil R. Turner [totalxs@hotmail.com] after some inspiration from Sbastien Maurice."

sValPath=""
sP1="HKCU\Software\Microsoft\Outlook Express\"
sP2="HKCU\Identities\Last User ID"

sV4="HKLM\SOFTWARE\Microsoft\Outlook Express\" 'DW (1 = enable restriction)

sV5="HKEY_CURRENT_USER\Software\Microsoft\Outlook Express\BlockExeAttachments"

Sub Plugin_Initialize 
 'OK, let's have a look if we are running IE5...
 s=RegReadValue(sP2)
 if IsEmpty(s)=false then
    'OK - we have a value - check if we can find OE
    sValPath="HKCU\Identities\" & s & "\Software\Microsoft\Outlook Express\5.0\"
    If RegPathExists(sValPath) then
       'OE5 !
       sValPath=sValPath '& sValue
    else
       sValPath=sP1 '& sValue
    end if 
 else
    sValPath=sP1 '& sValue
 end if


 i=RegReadValue(sV4 & "No Modify Accts")
 if i<>1 then
    Call SetUIElement(1,True)
 end if

 i=RegReadValue(sV4 & "HTTP Mail Enabled")
 if i=1 then
    Call SetUIElement(2,True)
 end if

 i=RegReadValue(sV5)
 if i=0 or IsEmpty(i) then
    Call SetUIElement(3,True)
 end if


' else
'  Disable
' end if
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if i=true then
    If RegValueExists(sV4 & "No Modify Accts") then Call RegDeleteValue(sV4 & "No Modify Accts")
 else
    Call RegWriteValue(sV4 & "No Modify Accts",1,2)
 end if
 
 i=GetUIElement(2)
 if i=true then
    Call RegWriteValue(sV4 & "HTTP Mail Enabled",1,2)
 else
    If RegValueExists(sV4 & "HTTP Mail Enabled") then Call RegDeleteValue(sV4 & "HTTP Mail Enabled")
 end if

 i=GetUIElement(3)
 if i=true then
    If RegValueExists(sV5) then Call RegDeleteValue(sV5)
 else
    Call RegWriteValue(sV5,1,2)
 end if

End Sub

Sub Plugin_Terminate 
End Sub
