"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="3"
"UIPATH"="Internet\Internet Explorer\Address Bar"
"NAME"="Address Bar Search"
"VERSION"="1.02"
"LANGUAGE"="VBScript"
"TEXT 1"="Add"
"TEXT 2"="Edit"
"TEXT 3"="Delete"
"DESCRIPTION 1"="For Internet Explorer 6.0 and above: Internet Explorer supports a new featured called "Address Bar Search"."
"DESCRIPTION 2"="You can define a keyword, e.g. "google" and enter this, plus the word it should search for into the address bar of IE. For example, you could simply enter "google Xteq" to perform a google search for "Xteq". This saves some time when you do research on the web."
"DESCRIPTION 3"="This plug-in list all address bar search keywords, which you can edit, add new or delete."
"DESCRIPTION 4"="After making changes, please restart Internet Explorer."
"DESCRIPTION 5"="HINT: To add add new search engines here, simply do the following:"
"DESCRIPTION 6"="- Go to the website of the search engine and search for a very strange word, e.g. "XoXoXoX"."
"DESCRIPTION 7"="- Hit the "GO", "SEARCH" button or whatever the button is called on that site."
"DESCRIPTION 8"="- When the results are displayed, copy the entire URL from the address bar of IE into the clipboard (CTRL+C)."
"DESCRIPTION 9"="- Add a new entry with this plug-in and paste the URL (CTRL+V) into the second popup window."
"DESCRIPTION 10"="- Before clicking on OK, change the strange word (e.g. XoXoXoX) in the URL to %s."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="see http://www.jsiinc.com/SUBK/tip5400/rh5446.htm"
"COMMENT 2"=" "



sPath="HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\SearchUrl\"

dim iItems        'contains the total amount of the registry keys
Dim aryItems()    'contains the name of the Registry paths (direct files starting with ".")


Sub Plugin_Initialize 
 iItems=0

 if RegPathExists(sPath) then
    Call ReadRegistry
 else
    Call Disable
 end if
End Sub


Sub ReadRegistry
 for l=1 to iItems
     Call SetUIElement(l,"")
 next 

 iItems=RegEnumPaths(sPath) 
 ReDim aryItems(iItems)

 For l=1 to iItems 
     'save the name
     sName=RegEnumElement(l)
     aryItems(l)=sName
     
     sURL=RegReadValue(sPath & sName & "\@")
     Call SetUIElement(l,sName & " (" & sURL & ")")
   
     'add common items
     ' " "="+"
     '"#"="%23"
     '"&"="%26"
     '"?"="%3F"
     '"+"="%2B"
     '"="="%3D"
 next


End Sub




Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if ElementIndex=1 then 'Add
    sNewName=InputWindow("Please enter the keyword for this search, e.g. 'google'","",1)
    if IsEmpty(sNewName)=false then
       sNewURL=InputWindow("Please enter the complete URL for this search, including http:// and the parameter %s (e.g. 'http://www.google.com/search?q=%s'","",1)
       if IsEmpty(sNewURL)=false then
          Call RegWriteValue(sPath & sNewName & "\@",sNewURL,1)
          Call ReadRegistry()
       end if
    end if


 else 
    if ElementSubIndex>0 then
       sName=aryItems(ElementSubIndex)
       sFullPath=sPath & sName
       sURL=RegReadValue(sFullPath & "\@")
 
       if ElementIndex=2 then 'Edit
          sNewName=InputWindow("Please enter the name for this search, e.g. 'google'",sName,1)

          if IsEmpty(sNewName)=false then
             if sNewName<>sName then 
                'Name change!
                Call RegDeletePath(sFullPath)
                Call RegWriteValue(sPath & sNewName & "\@",sURL,1)
                sName=sNewName  
             end if
             
             sNewURL=InputWindow("Please enter the complete URL for this search, including http:// and the parameter %s (e.g. 'http://www.google.com/search?q=%s'",sURL,1)
          
             if IsEmpty(sNewURL)=false then
                if sNewURL<>sURL then
                   'URL change
                   Call RegWriteValue(sPath & sName & "\@", sNewURL,1)
                end if
             end if

             Call ReadRegistry()                   
          end if

       else 'delete 
          Call RegDeletePath(sFullPath)
          Call ReadRegistry()
       end if

    else
       Call MsgError("Please select an item")
    end if
 end if
 
'       Call GetInfo(sGUID)
'    else
'       if bDeac=false then
'          Call MoveFolder(sPath & sGUID, sPath & "-" & sGUID)
'       else
'          Call MoveFolder(sPath & "-" & sGUID, sPath & sGUID)
'       end if      

'       Call ReadRegistry()  
'       Call MsgInformation("Changes made!") 
'    end if

End Sub


Sub Plugin_Terminate 
End Sub
