"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="8"
"COUNT"="2"
"UIPATH 1"="Internet\Internet Explorer\URL Handling"
"UIPATH 2"="Internet\Internet Explorer\Address Bar"
"NAME"="URL Protocol Prefixes List"
"VERSION"="1.03"
"LANGUAGE"="VBScript"
"TEXT 1"="Add..."
"TEXT 2"="Delete..."
"DESCRIPTION 1"="When you type just a domain name in the address bar of Internet Explorer, it will try to determine which protocol it should use. 
"DESCRIPTION 2"="For example, you maybe just enter www.x-setup.net although the correct URL would be http://www.x-setup.net. Internet Explorer compares the typed domain name with this list and will automatically append the protocol in front of the entered domain name if it finds a match.
"DESCRIPTION 3"="In this example, the first part of the domain name was www. Internet Explorer will go through the list and see if a protocol for www. is configured. It finds one (http://) so it simply adds it. 
"AUTHOR"="Xteq Systems (CptSiskoX and Neil R. Turner)"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Found during registry exploration of WinXP. "

sPath="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\URL\Prefixes\" ' extra '\' added here

Sub Plugin_Initialize 
 if RegPathExists(sPath) then
  iCount=RegEnumValues(sPath) 
  For p=1 to iCount
   s=RegEnumElement(p)
   t=RegReadValue(sPath & s)
   Call SetUIElement(p,s & " - " & t)
  Next
 else
  Call Disable()
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if ElementIndex=1 then
  t=InputWindow("1. Enter the text you would like to customize (eg 'www')","",1)
  if IsEmpty(t)=false then
   u=InputWindow("2. Enter te prefix that should be used (eg 'http://')","",1)
   if IsEmpty(t)=false then
    Call RegWriteValue(sPath & t,u,1)
    Call SetUIElement(500, t & " - " & u)
   end if
  end if
 end if

 if ElementIndex=2 then
  if ElementSubIndex<0 then
   Call MsgError("Please select an item to delete first!")
  else
   iCount=RegEnumValues(sPath) 
   For p=1 to iCount
    If p=ElementSubIndex then
     s=RegEnumElement(p)
     Call RegDeleteValue(sPath & s)
     Call SetUIElement(p,"")
    end if
   Next
  end if
 end if
End Sub

Sub Plugin_Terminate 
End Sub
