"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="3"
"UIPATH"="Appearance\Files&Folders\Unknown Files"
"NAME"="Unknown File Open With List"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="n/a"
"DESCRIPTION 1"="Windows "know" which file should be opened by which application by checking the file extension (e.g. TXT = Notepad, DOC = Word etc.). A file with an extension that Windows does not know is called an "Unknown" or "Unregistered" file. If you click on an unknown file anyway, a dialog will pop up. Windows version before XP will display the "Open with..." list so you can select the program that should be used to open that type of file. Since Windows XP, you can select if you want to check the Microsoft.com site or display the "Open with..."."
"DESCRIPTION 2"="This plug-in can be used to select the applications that will appear inside the "Open with..." List. "
"DESCRIPTION 3"="A checkmark beside the program means: "Yes, show this application inside the Open with list"."
"DESCRIPTION 4"="Please note that this list only shows the internal name (e.g. OUTLOOK.EXE) of the program, not the user-friendly name (e.g. "Microsoft Outlook"). If you are unsure which program Windows is refering to, simply use the Start -> Find -> Files or Folders feature to locate the file on your HD and execute it. This way, you will easily see which program Windows is refering to."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"=" "



sPath="HKLM\SOFTWARE\Classes\Applications\"
sNoOpenWith="NoOpenWith"

sUnknownFileCommand="HKLM\SOFTWARE\Classes\Unknown\Shell\Open\Command\@"

dim iItems        'contains the total amount of the registry keys
Dim aryItems()    'contains the name of the Registry paths (direct files starting with ".")


Sub Plugin_Initialize 
 iItems=0
 s=RegReadValue(sUnknownFileCommand)

 if len(s)>0 then
    Call MsgError("You have currently configured a command that will be used for any unknown file. This disables the `Open with...` list so this plug-in is disabled as well. Please deactivate the unknown file command by using the `Unknown file command` plug-in if you wish to use this plug-in.")
    Call Disable()
 else
    Call ReadRegistry()
 end if
End Sub


Sub ReadRegistry
 for l=1 to iItems
     Call SetUIElement(l,"")
 next 

 iItems=RegEnumPaths(sPath) 
 ReDim aryItems(iItems)

 For l=1 to iItems 
     'save the name
     sName=RegEnumElement(l)
     aryItems(l)=sName

     Call SetUIElement(l,sName)

     if RegValueExists(sPath & sName & "\" & sNoOpenWith)=false then
        Call SetUIElementEx(l,True)
     end if    
 next

End Sub




Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 bActivated=false
 sTmpPath=""

 for l=1 to iItems
     sName=aryItems(l)
     bActivated=GetUIElementEx(l)
     sTmpPath=sPath & sName & "\" & sNoOpenWith

     if bActivated=true then
        if RegValueExists(sTmpPath)=true then
           Call RegDeleteValue(sTmpPath)
        end if
     else
        if RegValueExists(sTmpPath)=false then
           Call RegWriteValue(sTmpPath,"",1)
        end if
     end if           
 next 

 Call ReadRegistry()

End Sub


Sub Plugin_Terminate 
End Sub
