"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH 1"="Appearance\Files&Folders\ANY file"
"UIPATH 2"="Appearance\Files&Folders\Files ToolTips"
"NAME"="Any File Attributes in ToolTip"
"VERSION"="1.10"
"OSVERSION"="0001011"
"LANGUAGE"="VBScript"
"TEXT 1"="Enable Attributes visible in ToolTip "
"DESCRIPTION 1"="If you point the mouse-cursor to a file and wait about two seconds, Windows is able to display a little yellow window (ToolTip) that shows some information about that file like Author, Path, Date etc. This way, you know what the file is about without open it."
"DESCRIPTION 2"="Sometimes, you want to know which attributes (Read-Only, System, Hidden and Archive) a file has set. Normally, you need to right-click the file and open the Properties window which shows you the current attributes."
"DESCRIPTION 3"="With this setting you can also make the Attributes of a file visible within this ToolTip as well. If you often check the attributes of a file, this will be a big timesaver since you do not right-click the file but instead just move your mouse cursor over the file in question."
"DESCRIPTION 4"="NOTE: This setting applies to "simple ToolTips" only. Some file types have their own ToolTip provider and thus the attributes will no be visible within the ToolTip."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.x-setup.net/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=""

   sV1="HKEY_CLASSES_ROOT\*\InfoTip"
sV1bak="HKEY_CLASSES_ROOT\*\InfoTip.XSP.Backup"
sDefault="prop:Type;DocAuthor;DocTitle;DocSubject;DocComments;Write;Size"
sApplied="prop:Attributes;" 'Len=16

bCurrentStatus=false

Sub Plugin_Initialize 
 Call ReadCurState()
End Sub

Sub ReadCurState
 s=RegReadValue(sV1)
 if UCase(left(s,16))=UCase(sApplied) then
    SetUIElement 1,true
    bCurrentStatus=true
 end if 
End Sub


Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=false then

    if bCurrentStatus<>false then ' = change!
       'restore original    
       sBak=RegReadValue(sV1bak)
       if len(sBak)=0 then
          Call MsgError("Unable to restore the original value! Will apply default value!")
          Call RegWriteValue(sV1,sDefault,1)
       else
          Call RegWriteValue(sV1,sBak,1)
          Call RegDeleteValue(sV1bak) 
       end if
    end if 

 else
    'apply tweak
    
    if bCurrentStatus=false then ' = change!

       'do we already have an backup? if so, do NOT save the new value
       if RegValueExists(sV1bak)=true then
          'do nothing
       else
          'save value
          sOrg=RegReadValue(sV1)
          Call RegWriteValue(sV1bak,sOrg,1)
          
          'now apply tweak  
          s=right(sOrg,len(sOrg)-5) 'to remove prop:
          s=sApplied & s
          Call RegWriteValue(sV1,s,1)
       end if
    end if
 end if

 Call ReadCurState()
End Sub

Sub Plugin_Terminate 
End Sub


