"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="5"
"UIPATH"="Hardware\Mouse\MS Intellipoint"
"NAME"="Show/Hide Control Panel pages"
"LANGUAGE"="VBScript"
"TEXT 1"="Show "Activities" page"
"TEXT 2"="Show "Buttons" page"
"TEXT 3"="Show "IntelliPoint Wheel" page"
"TEXT 4"="Show "Pointer Options" page"
"TEXT 5"="Show "Wireless" page"
"DESCRIPTION 1"="When you install Microsoft's IntelliPoint, your Mouse Properties applet in Control Panel acquires 4 new pages. If you want, you can disable these."
"DESCRIPTION 2"="Note: Disabling all pages will revert the Mouse Properties dialog back to its 3 default pages."
"COMMENT 1"="Thanks to CptSiskoX for suggesting that I download the IntelliPoint drivers, despite the fact I use a Logitech mouse. Ah well, it works..."
"COMMENT 2"="Thanks to tbcat for the IntelliPoint 5.0 notice!"
"VERSION"="2.01"
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved."
"CONTACTURL"="http://www.xteq.com/"

sP="HKLM\Software\Microsoft\Windows\CurrentVersion\Controls Folder\Mouse\shellex\PropertySheetHandlers\"
sP1=sP & "Activities\"
sP2=sP & "Buttons\"
sP3=sP & "Wheel\"
sP4=sP & "PointerOptions\"
sP5=sP & "Wireless\"

SUB Plugin_Initialize
 s=RegReadValue(sP1 & "@")
 IF len(s)>0 then 
   Call SetUIElement(1,true)
 end if

 s=RegReadValue(sP2 & "@")
 IF len(s)>0 then 
   Call SetUIElement(2,true)
 end if

 s=RegReadValue(sP3 & "@")
 IF len(s)>0 then 
   Call SetUIElement(3,true)
 end if

 s=RegReadValue(sP4 & "@")
 IF len(s)>0 then 
   Call SetUIElement(4,true)
 end if

 s=RegReadValue(sP5 & "@")
 IF len(s)>0 then 
   Call SetUIElement(5,true)
 end if
 
END SUB

SUB Plugin_CheckData(ElementIndex)
END SUB

Sub WriteValue(RegPath,RegValue,MakeItVisible)
 sBackupValName="XSP Backup"

 'first check if the path exists. If not, exit!
 If RegPathExists(RegPath)=false then
    ''Call msgInformation("Skiped following reg path: " & RegPath)
    exit sub
 end if

 s=RegReadValue(RegPath & RegValue)
 if len(s)=0 then
    'not visible at the moment
    if MakeItVisible=false then
       'do nothing...
    else
       sBakVal=RegReadValue(RegPath & sBackupValName)
       if len(sBakVal)=0 then
          Call MsgError("Unable to retrieve backup value from registry, unable to restore original value. I'm sorry, you need to reinstall MS IntelliPoint")
       else
          Call RegWriteValue(RegPath & RegValue,sBakVal,1)
       end if

       if RegValueExists(RegPath & sBackupValName) then 
          Call RegDeleteValue(RegPath & sBackupValName)
       end if
    end if
 else
    'sheet is visible at the moment
    if MakeItVisible=true then
       'do nothing
    else
       if RegValueExists(RegPath & sBackupValName)=false then 
          sBakVal=RegReadValue(RegPath & RegValue)
          Call RegWriteValue(RegPath & sBackupValName,sBakVal,1)
       end if

       Call RegWriteValue(RegPath & RegValue,"",1)       
    end if
 end if

End Sub


SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 Call WriteValue(sP1,"@",b)

 b=GetUIElement(2)
 Call WriteValue(sP2,"@",b)

 b=GetUIElement(3)
 Call WriteValue(sP3,"@",b)

 b=GetUIElement(4)
 Call WriteValue(sP4,"@",b)

 b=GetUIElement(5)
 Call WriteValue(sP5,"@",b)

END SUB

SUB Plugin_Terminate
END SUB
