"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="4"
"UIPATH 1"="System\Software Installation\Windows Installer"
"UIPATH 2"="System\Debugging"
"NAME"="Windows Installer (MSI) Logging Options"
"VERSION"="3.03"
"LANGUAGE"="VBScript"
"TEXT 1"="ddel da"
"DESCRIPTION 1"="By default, the setup process for an application determines whether the process maintains a log for itself.  This option allows you to enable the logging for the setup of an applications, regardless of this default."
"DESCRIPTION 2"="If at least one option is turned on, a logfile for every installation will be created in your TEMP directory in the form "MSI*.LOG" where "*" is a randomly generated name."
"DESCRIPTION 3"="To disable logging for all applications again, clear all fields."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Umesh Reghuram for his suggestions!"
"COMMENT 2"="Thanks to GastX for his suggestions!"


sPathSys="HKLM\Software\Policies\Microsoft\Windows\Installer\"
sPathUsr="HKCU\Software\Policies\Microsoft\Windows\Installer\"
sV1="Logging" 'STR - sys

iItemCount=12
Dim aryText(12)
Dim aryChar(12)


Sub Plugin_Initialize 
 aryText(1)="Messages: Status"
 aryChar(1)="i"

 aryText(2)="Messages: Warnings"
 aryChar(2)="w"
  
 aryText(3)="Messages: Errors"
 aryChar(3)="e"

 aryText(4)="Actions: Starting"
 aryChar(4)="a"

 aryText(5)="Actions: Parameters"
 aryChar(5)="r"

 aryText(6)="User Requests"
 aryChar(6)="u"

 aryText(7)="User interface parameters"
 aryChar(7)="c"

 aryText(8)="Messages: Not enough memory / Fatal exit"
 aryChar(8)="m"

 aryText(9)="Messages: Not enough disk space"
 aryChar(9)="o"

 aryText(10)="Terminal Properties"
 aryChar(10)="p"

 aryText(11)=" Verbose all output (log file will be much bigger)"
 aryChar(11)="v"

 aryText(12)=" Debugging information (Win 2003 and up only)"
 aryChar(12)="x"


 'read value and set properties
 sVal=RegReadValue(sPathSys & sV1)
''''' if len(sVal)=0 then sVal="iwearmo" 'according to MSDN

 for i=1 to iItemCount
     Call SetUIElement(i,aryText(i))        
     if InStr(1,sVal,aryChar(i))>0 then SetUIElementEx i,true     
 next

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=""

 for i=1 to iItemCount
     if GetUIElementEx(i)=true then
        s=s & aryChar(i)
     end if
 next

 if len(s)>0 then
    'Enable logging
    Call RegWriteValue(sPathSys & sV1,s,1)
 else
    'Disable logging
    s=RegReadValue(sPathSys & sV1)
    if IsEmpty(s)=false then
       Call RegDeleteValue(sPathSys & sV1)
    end if
 end if
 
End Sub

Sub Plugin_Terminate 
End Sub
