"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Program Options\Microsoft Office\MS Office 2003\Outlook"
"NAME"="Global Address List"
"LANGUAGE"="VBScript"
"TEXT 1"="Force use of Online Address Book"
"DESCRIPTION 1"="When using Outlook with a Microsoft Exchange Server in cached mode, Outlook behaves as it would be in offline mode. This means, if will only ask the server from time to time if new items are available and downloads them. Mostly this configuration is used in organizations where one small server should support a lot of users and thus calls to the server by the clients should be minimized."
"DESCRIPTION 2"="In most cases this works well, but the use of a cached version of the Global Address List can cause problems. For example, if you have several "Jacks" in your organization, it can happen that the offline (cached) version of the Global Address List only contains one of these "Jacks" and thus the email will be sent to the wrong recipient. "
"DESCRIPTION 3"="When this setting is turned on, Outlook will always try to connect to the Global Address List on the server and use it before trying to resolve names using the cached version of it. "
"DESCRIPTION 4"="If you are experiencing problems with the Global Address List and Outlook clients in cached mode, you should turn this setting on."
"VERSION"="1.00"
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems"
"CONTACTURL"="http://www.x-setup.net/"
"COMMENT 1"="See Microsoft Knowledge Base Article - 831124"


'Declaration of some constants
sPath="HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Outlook"
sV=sPath & "\Cached Mode\ANR Include Online GAL"


'Called when the Plugin is started
SUB Plugin_Initialize
 if RegPathExists(sPath) then
    i=RegReadValue(sV)
    if i=1 then
       Call SetUIElement(1,true)
    end if
 else
    Call Disable()
 end if

END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 if GetUIElement(1) then
    Call RegWriteValue(sV,1,2)
 else
    if RegValueExists(sV) then Call RegDeleteValue(sV)
 end if
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
