"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="Program Options\Microsoft Office\MS Office 2003\Outlook"
"NAME"="PST (Unicode) Max Size"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Max. Size (MB)"
"DESCRIPTION 1"="Normally each Outlook installation has at least one *.PST file (Personal Folder) associated with it. This PST file is used to store all your information like contacts, emails, notes etc."
"DESCRIPTION 2"="There are two different types of PST files: ANSI (also known as 97-2002 PST) and Unicode (2003 and up PST). Regardless which version of a PST file you are using, they share the same problem: Both have a maximum file size and if the file size grows above this limit, the PST file is trashed and you might loose all information in it. "
"DESCRIPTION 3"="The limit for the ANSI version if it is 2048 MB and the Unicode version has a maximum size of 3984500 MB. "
"DESCRIPTION 4"="This setting can be used to prevent the PST file to grow above the limit you specify here. Any PST file Outlook deals with will be check every time new data is about to be added if it will be above the specified maximum size. If this is true, Outlook will throw an error and do not allow the new data to be added. Please note that this error message will say something like "You do not have the required access permission", it will not tell you that the PST file is getting to big! "
"DESCRIPTION 5"="Normally, a limit of 2020 MB will be specified for the ANSI version of PST files and the Unicode version has no maximum size. "
"DESCRIPTION 6"="However, you might also use this setting to prevent a user to create bigger PST files than your backup-device can handle. For example, if you backup the data on CD-R, the maximum file size could be set to 700 MB so it still fits on a CD. "
"DESCRIPTION 7"="To disable any maximum file size restriction, simply clear the field."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.x-setup.net/"
"COPYRIGHT"="Copyright  Xteq Systems"
"COMMENT 1"="http://www.planet-outlook.de/pst.htm"


sP="HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Outlook"
sV=sP & "\PST\MaxLargeFileSize"

Sub Plugin_Initialize 
 if RegPathExists(sP) then
    i=RegReadValue(sV)
    SetUIElement 1,i
 else
    Call Disable()
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if len(i)>0 then
    Call RegWriteValue(sV,i,2)
 else
    If RegValueExists(sV) then Call RegDeleteValue(sV)
 end if


End Sub

Sub Plugin_Terminate 
End Sub
