"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Program Options\Microsoft Office\MS Office 2003\Word"
"NAME"="Most Recent Files URL Entries"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Add URLs to recently used files"
"DESCRIPTION 1"="When you are using Word, it will keep track of the documents you recently used by using a list called MRU (Most Recently Used files). By default, this list does also include Word documents (*.doc) that were opened using an URL, e.g. http://www.mycompany.test/Important.doc"
"DESCRIPTION 2"="In some cases it might happen that when you close a document loaded by an URL, you are suddenly prompted for a username and password. This comes from the fact that Word wants to add the documents to the MRU list but needs write access to the document to do so."
"DESCRIPTION 3"="Since nearly all web servers don't give anybody write access to their documents, Word assumes that you are not logged in and prompts you for a password."
"DESCRIPTION 4"="By disabling this option, Word will no longer create an entry into the MRU list when a document is opened using an URL."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All rights reserved."
"COMMENT 1"="Visit http://www.x-setup.net/"
"COMMENT 2"="See http://support.microsoft.com/?kbid=324328"


sPCheck="HKCU\Software\Microsoft\Office\11.0\Word\"
    sV1="HKCU\Software\Microsoft\Office\11.0\Word\Options\DontAddToMRUIfURL" 

Sub Plugin_Initialize 
if RegPathExists(sPCheck) then
   i=RegReadValue(sV1)
   if IsEmpty(i)=true or i=0 then 
      SetUIElement 1,true
   end if
else
   Disable()
end if
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
    if RegValueExists(sV1) then Call RegDeleteValue(sV1)
 else
    Call RegWriteValue(sV1,1,2)
 end if


END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
