"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="5"
"COUNT"="5"
"UIPATH 1"="Program Options\Microsoft Office\MS Office XP\Outlook"
"UIPATH 2"="Program Options\Microsoft Office\MS Office 2003\Outlook"
"NAME"="Create links for new items"
"VERSION"="1.10"
"LANGUAGE"="VBScript"
"OSVERSION"="00010111"
"TEXT 1"="Creating a new task item"
"TEXT 2"="Creating a new appointment"
"TEXT 3"="Creating a new e-mail message"
"TEXT 4"="Creating a new note"
"TEXT 5"="Creating a new appointment"
"DESCRIPTION 1"="To create a new Outlook item like an email, you normally have to start Outlook, move to the folder where you wish to create the new item and click on the "New" button in the toolbar (or the menu command)."
"DESCRIPTION 2"="This plug-in allows you to create batch files that will directly trigger the creation of a new item. For example, if you click on the first button a batch file will be created on your desktop that, when started, will create a new Outlook task item and opens it directly."
"DESCRIPTION 3"="This is a big time saver when you often create new items and like directly links better than the Outlook menu or toolbar. "
"DESCRIPTION 4"="You can also move these created batch file to any location you wish, for example you can simply drop them on your Quick Launch bar for better access. "
"DESCRIPTION 5"="If you do no longer wish to use these batch files, simply delete them on your desktop."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


 sPCheck1="HKCU\Software\Microsoft\Office\10.0\"
 sPCheck2="HKCU\Software\Microsoft\Office\11.0\"

sDesktop="HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Desktop"

sLine1="@echo off"
sLine2="start Outlook.exe /c "
sExtension=".cmd"

Dim aryCmd(7)
Dim aryText(7)

aryCmd(1)="IPM.task" '=task
aryText(1)="New Outlook Task"

aryCmd(2)="IPM.appointment" '=appointment
aryText(2)="New Outlook Appointment"

aryCmd(3)="IPM.note" '=email
aryText(3)="New Outlook Email"

aryCmd(4)="IPM.stickynote" '=note (strange, isn't it?)
aryText(4)="New Outlook Note"

aryCmd(5)="IPM.contact" '=contact
aryText(5)="New Outlook Contact"

aryCmd(6)="IPM.activity" '=journal
aryText(6)="New Outlook Journal entry"

aryCmd(7)="IPM.post" '=discussion
aryText(7)="New Outlook Discussion"


Sub Plugin_Initialize 
  If RegPathExists(sPCheck1)=false then
     If RegPathExists(sPCheck2)=false then
        Disable()
     end if
  end if 
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 sDesk=RegReadValue(sDesktop)
 if right(sDesk,1)<>"\" then
    sDesk=sDesk & "\"
 end if

 sFileName=sDesk & aryText(ElementIndex) & sExtension
 sCmd=aryCmd(ElementIndex)

 Call KillFile(sFileName)

 Call TxtOpen(sFileName)
 Call TxtInsertLine(1,sLine1) 
 Call TxtInsertLine(2,sLine2 & sCMD) 
 Call TxtSave()

 Call MsgInformation("The batch file <" & sFileName & "> has been created on your desktop.")
End Sub

Sub Plugin_Terminate 
End Sub

Sub KillFile(TheFileName)
    if FileExists(TheFileName) then Call FileDelete(TheFileName)
end Sub