"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Internet\Mozilla"
"NAME"="Miscellaneous Options"
"VERSION"="1.0"
"LANGUAGE"="VBScript"
"TEXT 1"="Show About screen as dialog"
"DESCRIPTION 1"="Option #1: When you go to Help > About in Mozilla, a new window is opened. With this enabled, it will show a tabbed dialog instead."
"DESCRIPTION 2"="NOTE: This will affect all users of Mozilla on this computer."
"DESCRIPTION 3"="Mozilla is free, open source web browser available from http://www.mozilla.org/ ."
"AUTHOR"="Xteq Systems (Neil R. Turner)"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Rules of programming #46346: Never write plugins with a hangover."

' Neil's attempt at creating a Mozilla plug-in for X-Setup. As you can see, it's a little
' complicated due to the way Mozilla stores its settings (ie in a completely non-standard
' format... so much for a standards compliance, eh?), so that's why the code is slightly
' more sloppy then usual. But it works. I think.
' 
' Feel free to copy code elements for use in other Mozilla/Netscape plugins.
sP="HKCU\Software\mozilla.org\Mozilla\"
sV1="CurrentVersion"
sV2="\Main\Install Directory"

Sub Plugin_Initialize
 ' To find out where the Mozilla keys are stored, we have to go get the version number.
 MozVer=RegReadValue(sP&sV1)
 if IsEmpty(MozVer)=true then
  Call Disable()
 else
 ' This tells us where Mozilla is installed, so that we can open the preferences files.
  InsPath=RegReadValue(sP&MozVer&sV2)
 end if

 ' Open all.js, which seems to be the main preference file.
 Call TxtOpen(InsPath&"defaults\pref\all.js")

 ' Because we repeat a rather longwinded peace of code to get each setting, we use a SUB,
 ' and provide it with the name of the value and what we would expect it to say if it was
 ' on - for some reason Mozilla likes to put loads of spaces in, thus requiring more code.
 ' It makes it easier to read, but from an X-Setup point of view, it's annoying. Grrrrrrr.
 Call Build_UI("pref(""browser.show_about_as_stupid_modal_window"","," true);",1)
End Sub

Sub Build_UI(Pref,Setting,Num)
 i=TxtFindLine(Pref,false)
 if i>0 then
  s=TxtGetLine(i)
  i=InStr(s,",") ' We're only interested in the stuff after the comma, so we get rid of the left hand side.
  s=Right(s,len(s)-i)
  if s=Setting then ' If what we've retrieved is the same as what we were expecting, then we set the UI elephant to true.
   Call SetUIElement(Num,true)
  end if
 else
  ' The prefs files may only be written on first launch or be corrupted, so if the item
  ' can't be found, we let the user know.
  Call MsgWarning("X-Setup encountered an error while trying to retrieve the settings. This may be because you have not run Mozilla yet, or the preferences are corrupted. Please run Mozilla, or reinstall it.")
  Call Disable()
 end if
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 ' Yup, we need this again... Though since the plugin would already be disabled if it
 ' didn't exist, we can skip a bit.
 MozVer=RegReadValue(sP&sV1)
 InsPath=RegReadValue(sP&MozVer&sV2)
 
 Call DoStuff("pref(""browser.show_about_as_stupid_modal_window"","," true);","  false);",1)


 Call TxtSave()
End Sub

Sub DoStuff(Pref,Enabled,Disabled,Num)
 ' Amazingly, the Apply SUB is smaller than the Initilise SUB. Is this a first in X-Setup?
 s=GetUIElement(Num)
 if s=true then
  i=TxtFindLine(Pref,false)
  Call TxtSetLine(i,Pref&Enabled)
 else
  i=TxtFindLine(Pref,false)
  Call TxtSetLine(i,Pref&Disabled)
 end if
End Sub

Sub Plugin_Terminate
 Call TxtClose()
End Sub
