"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="1"
"COUNT"="1"
"UIPATH"="Appearance\Interface\TrueType Fonts"
"NAME"="Font Substitutes"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Default UI Font"
"DESCRIPTION 1"="In Short: Enter the name of the font you want to use for the default UI font of Windows. If you are using Windows XP we suggest putting "Tahoma" (no quotes) in, since Windows XP is using this font everywhere else. To restore the original value once you have changed this setting, simply clear the field and apply the changes."
"DESCRIPTION 2"="Long Description:"
"DESCRIPTION 3"="All programs you use on your PC use Fonts. When a program wants to show a text, it asks Windows to load the font (for example) "MS Sans Serif". Before Windows loads the fonts, Windows will check it's configuration if there is a substitute (replacement) for that font. If there is a substitute for the font in question, Windows will load this substituted font instead of the original font."
"DESCRIPTION 4"="An example might explain this process a little bit further. The application "SimpleApp.exe" wants to display the text "Hello!" to the user. Since until now, no font is loaded, SimpleApp.exe asks Windows to load the font "MS Sans Serif". Windows looks in it's configuration if there is a substation (replacement) for "MS Sans Serif". Windows finds a replacement, in this case "Tahoma". Therefore Windows will NOT load "MS Sans Serif" but "Tahoma". Windows will then return the font "Tahoma" to SimpleApp.exe and SimpleApp.exe will use it to display the text "Hello!"."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Based on the setting found by Chris Pirillo [chris@lockergnome.com]!"
"COMMENT 2"="Default value: "Microsoft Sans Serif" (no quotes) "


'Declaration of some constants
   sV1="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\FontSubstitutes\MS Shell Dlg"
sV1bak="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\FontSubstitutes\MS Shell Dlg.X-Setup Backup"

'Called when the Plugin is started
Sub Plugin_Initialize
 i=RegReadValue(sv1)
 SetUIElement 1,i 
End Sub

'Called when the Plugin should validate the Data the user has entered
Sub Plugin_CheckData(ElementIndex)
End Sub

'Called when the Plugin should apply the changes
Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if len(s)=0 then
    if RegValueExists(sV1Bak) then
       sBak=RegReadValue(sV1Bak)
       Call RegWriteValue(sV1,sBak,1)
       Call RegDeleteValue(sV1Bak)  

       Call MsgInformation("Original value restored!")
       Call SetUIElement(1,sBak)
    else
       Call MsgError("Unable to find the backup value. Please enter a name of a font yourself.")
    end if
 else
   if RegValueExists(sV1Bak)=false then
      sBak=RegReadValue(sV1)
      Call RegWriteValue(sV1Bak,sBak,1)
   end if 
   
   Call RegWriteValue(sV1,s,1) 
 end if   


End Sub

'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
End Sub
