"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="8"
"COUNT"="3"
"UIPATH"="Appearance\Interface\TrueType Fonts"
"NAME"="Font Substitutes Editor"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"WARNING"="1"
"TEXT 1"="Add"
"TEXT 2"="Change"
"TEXT 3"="Delete"
"OSVERSION"="0001011"
"DESCRIPTION 1"="In Short: This editor allows you to change all of the font substations that are configured on your system. Please be careful what you do, there is no backup of old values, all value are directly changed!"
"DESCRIPTION 2"="Long Description:"
"DESCRIPTION 3"="All programs you use on your PC use Fonts. When a program wants to show a text, it asks Windows to load the font (for example) "MS Sans Serif". Before Windows loads the fonts, Windows will check it's configuration if there is a substitute (replacement) for that font. If there is a substitute for the font in question, Windows will load this substituted font instead of the original font."
"DESCRIPTION 4"="An example might explain this process a little bit further. The application "SimpleApp.exe" wants to display the text "Hello!" to the user. Since until now, no font is loaded, SimpleApp.exe asks Windows to load the font "MS Sans Serif". Windows looks in it's configuration if there is a substation (replacement) for "MS Sans Serif". Windows finds a replacement, in this case "Tahoma". Therefore Windows will NOT load "MS Sans Serif" but "Tahoma". Windows will then return the font "Tahoma" to SimpleApp.exe and SimpleApp.exe will use it to display the text "Hello!"."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Based on the setting found by Chris Pirillo [chris@lockergnome.com]!"


sP="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\FontSubstitutes"

dim iItems        'contains the total amount of the registry keys
Dim aryItems()    'contains the name of the Registry paths (direct files starting with ".")
Dim aryItemsLoc() 'contains the registry location  (\ShellNew or \ShellNew-)
Dim aryDesc()     'contains the description of the items


Sub Plugin_Initialize 
 if RegPathExists(sP) then
    Call ReadRegistry
 else
    Call Disable
 end if
 iItems=0
End Sub


Sub ReadRegistry
    for l=1 to iItems
        Call SetUIElement(l,"")
    next 

    iItems=RegEnumValues(sP) 

    ReDim aryItems(iItems)
    ReDim aryDesc(iItems)

    l=1
    e=1

    sDebug=""

    'read all data from the path
    For l=1 to iItems       
        sItem=RegEnumElement(l)    

        aryItems(l)=sItem
        aryDesc(l)=RegReadValue(sP & "\" & sItem)
         
        sDebug=sDebug & sItem
    next
    'Call DebugMsg(sDebug)




    'AND NOW update the UI
    for l=1 to iItems
        Call SetUIElement(l,aryItems(l) & " -> " & aryDesc(l)) 'set data in X-Setup
    Next
End Sub




Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 bChanged=false


 if ElementIndex=1 then 'add
    sVal1=InputWindow("Please enter the name of the font you want to replace, e.g. `Arial` (no quotes)","",1)
    If sVal1="" then Exit Sub

    sVal2=InputWindow("Please enter the name of the font which should be used when an application requests the font `" & sVal1 & "`.","",1)
    If sVal2="" then Exit Sub
    
    If RegValueExists(sP & "\" & sVal1) then
       Call MsgWarning("There is already an entry for this font - please use the CHANGE button. No changes were made.")
    else
       Call RegWriteValue(sP & "\" & sVal1,sVal2,1)
       bChanged=true
    end if
     
 else

 if ElementSubIndex>0 then

    if ElementIndex=2 then 'change
       sVal1=aryItems(ElementSubIndex)
       sCurPath=sP & "\" & sVal1
       s=RegReadValue(sCurPath)         

       sVal2=InputWindow("Please enter the name of the font which should be used when an application requests the font `" & sVal1 & "`.",s,1)
       If sVal2="" then Exit Sub

       if IsEmpty(sVal2)=false then
          Call RegWriteValue(sCurPath,sVal2,1)
          bChanged=true 
       end if
    end if

    if ElementIndex=3 then 'delete
       sVal1=InputWindow("To delete the selected entry, please press OK","YES",1)
       if sVal1="YES" then          
          sCurPath=sP & "\" & aryItems(ElementSubIndex)
          Call RegDeleteValue(sCurPath)
          bChanged=true
       end if  
    end if
     
 else
    Call MsgWarning("Please select an item in the list.")
 end if

 end if



    if bChanged=true then
       'call the holy Windows API
       Call IndicateSettingChange()

       're-read UI
       Call ReadRegistry
    end if


End Sub



Sub Plugin_Terminate 
End Sub
