"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="4"
"COUNT"="1"
"UIPATH"="Appearance\Desktop\Wallpaper"
"NAME"="Wallpaper Additional Directory"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"OSVERSION"="0011111"
"TEXT 1"="Folder"
"DESCRIPTION 1"="If you select the "Display" control inside your Control Panel, you can choose a wallpaper by selecting the "Desktop" tab."
"DESCRIPTION 2"="The list that is visible inside this tab does normally only show the pictures of two folders: Your Windows folder (C:\Windows for example) and the wallpaper folder below it (%SystemRoot%\Web\Wallpaper). If you have your own folder for wallpapers and want to activate a picture from the folder, you always need to click on the "Browse" button to do so."
"DESCRIPTION 3"="To have the pictures from your folder directly selectable inside the "Desktop" tab, simply specify the folder here. That's much easier, isn't it? "
"DESCRIPTION 4"="In case you want to restore the original value, simply clear the field and apply your change. "
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


   sV1="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\WallPaperDir" 'REG_EXPAND_SZ
sV1bak="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\WallPaperDir.XSP.Backup" 'REG_EXPAND_SZ
sDefault="%SystemRoot%\Web\Wallpaper"

Sub Plugin_Initialize 
 Call ReadSettings
End Sub

Sub ReadSettings
 s=RegReadValue(sV1)
 SetUIElement 1,s
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if len(s)=0 then

    'restore original    
    sBak=RegReadValue(sV1bak)
    if len(sBak)=0 then
       Call MsgError("Unable to restore the original value! Will apply default value!")
       Call RegWriteValue(sV1,sDefault,4)
    else
       Call RegWriteValue(sV1,sBak,4)
       Call RegDeleteValue(sV1bak) 
    end if

 else
    'apply new one
    
    'do we already have an backup? if so, do NOT save the new value
    if RegValueExists(sV1bak)=true then
       'do nothing
    else
       'save value
       sOrg=RegReadValue(sV1)
       Call RegWriteValue(sV1bak,sOrg,4)
    end if
  
    'apply new value
    Call RegWriteValue(sV1,s,4)
 end if

 Call ReadSettings
 Call IndicateSettingChange()
End Sub

Sub Plugin_Terminate 
End Sub
