"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH 1"="Appearance\System\Command Prompt"
"UIPATH 2"="Program Options\Built in Windows Apps\Command Prompt"
"NAME"="CMD UNC Path Check"
"OSVERSION"="0001011"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Allow UNC paths in a command box"
"DESCRIPTION 1"="By default, a command box (cmd.exe) will check if the current directory is an UNC path (\\myserver\path) and if this is the case, it will write an error message and change to path to C:\. "
"DESCRIPTION 2"="Thus, it is not possible to use UNC paths in a command box which can be very annoying. "
"DESCRIPTION 3"="When this option is turned on, you can use UNC paths as the current directory and you will also no longer get an error message when the command box starts from an UNC path."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


sP1="HKLM\SOFTWARE\Microsoft\Command Processor\"
sV1="DisableUNCCheck"

'Called when the Plugin is started
Sub Plugin_Initialize
 s=RegReadValue(sP1 & sV1)
 SetUIElement 1,s
End Sub

'Called when the Plugin should validate the Data the user has entered
Sub Plugin_CheckData(ElementIndex)
End Sub

'Called when the Plugin should apply the changes
Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if i=true then
    Call RegWriteValue(sP1 & sV1,1,2)
 else
    if RegValueExists(sP1 & sV1) then
       Call RegDeleteValue(sP1 & sV1)
    end if
 end if 

 Call Restart()
End Sub

'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
End Sub
