"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Network\DHCP"
"NAME"="DHCP Media Sense"
"VERSION"="1.02"
"OSVERSION"="0001011"
"LANGUAGE"="VBScript"
"TEXT 1"="Enable DHCP Media Sense"
"DESCRIPTION 1"="Normally, when you physically disconnect a network cable from your Network Interface Card (NIC) and plug-in it in later on again, Windows will start a DHCP Request (DHCP assigns IP Numbers in a network)."
"DESCRIPTION 2"="This is good for corporate networks since this way people can travel with their Notebooks in different segments of the network without restarting their computer."
"DESCRIPTION 3"="However, when you are using a Broadband Internet Connection and an outage occurs, you can no longer access the Internet even when the connection is up again. This is because Windows will try to sent a DHCP request to the internet, does not get any response and uses the IP Address 0.0.0.0 which can't be used."
"DESCRIPTION 4"="Equals: You are disconnected from the Internet until you reboot your machine."
"DESCRIPTION 5"="To solve this, you can disable the DHCP Media Sense with this plug-in so Window will use the configured IP Address regardless if the connection is up or not."
"DESCRIPTION 6"="WARNING: Do not activate this setting when you want to connect to a corporate network with a DHCP server. You can toggle this setting off or on as many times as you want."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="C&P from TechRepublic newsletter"


sV1="HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\Tcpip\Parameters\DisableDHCPMediaSense"

Sub Plugin_Initialize 
   i=RegReadValue(sV1)
   if i=0 or IsEmpty(i) then
      SetUiElement 1,true
   end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 If GetUIElement(1)=true then
    if RegValueExists(sV1) then Call RegDeleteValue(sV1)
 else
    Call RegWriteValue(sV1,"1",2)
 end if

 Call Restart
End Sub


Sub Plugin_Terminate 
End Sub



