"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="2"
"UIPATH"="Network\DNS"
"NAME"="DNS Cache TTL"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"OSVERSION"="0001011"
"TEXT 1"="Positive (sec)"
"TEXT 2"="Negative (sec)"
"DESCRIPTION 1"="When a computer name is entered that should be contact by TCP, your computer will perform a DNS (Domain Name System) query. TCP does not know anything about names, it only knows IP Addresses (10.8.10.1). So, when you enter a computer, or domain name, your computer first needs to query a DNS server to get the IP Address (e.g. 10.8.10.1) from the name you have entered (e.g. microsoft.com)."
"DESCRIPTION 2"="When this DNS query is performed, there are two possible results: Positive or Negative. Positive mean, that DNS successfully found an IP address for the given name, while negative means it did not find any IP address for that name."
"DESCRIPTION 3"="Each of these DNS queries are cached on your local computer so the DNS server is only contacted from time to time. This caching period, where the entries are not queried through the DNS server and are kept in the local cache, is known as Time To Live (TTL). "
"DESCRIPTION 4"="By default, the DNS server sets the TTL for each entry it sends back. With this tweak, you can override these TTL values to whatever you want. "
"DESCRIPTION 5"="To restore the default behavior, clear both fields."
"DESCRIPTION 6"="HINT: To view the current DNS cache, enter "ipconfig /displaydns" at a command prompt. To clear all entries, enter "ipconfig /flushdns"."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "

sV1="HKLM\SYSTEM\CurrentControlSet\Services\Dnscache\Parameters\MaxCacheEntryTTLLimit" 'DW
sV2="HKLM\SYSTEM\CurrentControlSet\Services\Dnscache\Parameters\NegativeCacheTime"

Sub Plugin_Initialize 
 i=RegReadValue(sV1)
 SetUIElement 1,i

 i=RegReadValue(sV2)
 SetUIElement 2,i
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if i="" then 
    if RegValueExists(sV1) then RegDeleteValue(sV1)
 else
    Call RegWriteValue(sV1,i,2)
 end if

 i=GetUIElement(2)
 if i="" then 
    if RegValueExists(sV2) then RegDeleteValue(sV2)
 else
    Call RegWriteValue(sV2,i,2)
 end if
End Sub

Sub Plugin_Terminate 
End Sub
