"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="2"
"UIPATH 1"="Network\Security\ActiveDirectory"
"UIPATH 2"="System\Security\Group Policy Objects"
"UIPATH 3"="Startup/Shutdown\Startup\Windows NT/2K/XP\60) Windows Launch"
"NAME"="Group Policy Objects (GPO) Enforced Apply"
"VERSION"="1.01"
"OSVERSION"="0001011"
"LANGUAGE"="VBScript"
"TEXT 1"="NA NA"
"DESCRIPTION 1"="For nearly every section of a GPO, a different DLL is responsible to apply this GPO to the local machine. For each of these DLLs, you can configure how it should be applied: Only when a GPO has changed (default) or every time a user logs in (enforced)."
"DESCRIPTION 2"="That there are two different modes for applying GPO allow you to choose what is more important to you: Speed or Security. "
"DESCRIPTION 3"="The default mode (that is, only apply the GPO when there were a change or when it's created), is very fast since this mode simply checks if the GPO has changed. If it hasn't changed since the last time the GPO was applied, the DLL will not do anything and exit directly."
"DESCRIPTION 4"="The enforced mode (that is, always apply the GPO, regardless if there were changes) will make sure that the settings you have defined inside the GPO are 100% applied. However, since they are applied every time the GPO processing starts, they can degrade the performance of this computer while this takes place."
"DESCRIPTION 5"="A checkbox beside an item means: Use Enforced Mode. No checkbox means: Use default mode."
"COMMENT 1"="http://www.microsoft.com/windows2000/techinfo/reskit/en/regentry/93807.htm"
"COMMENT 2"="0 -> Always update policy settings as scheduled. "
"COMMENT 3"="1 -> (or not in the registry) Update policy settings only when the Group Policy object changes."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"

'Declaration of some constants
sP="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\GPExtensions\"
sV1="\@"
sV2="\NoGPOListChanges"



Dim aryLoc()
Dim iCount

'Called when the Plugin is started
SUB Plugin_Initialize
 iCount=RegEnumPaths(sP)
 
 'count how many real items we have
 if iCount>0 then
    'redim array
    ReDim aryLoc(iCount)
    for l=1 to iCount
        aryLoc(l)=RegEnumElement(l)

        'get the name 
        s=sP & RegEnumElement(l) & sV1
        s=RegReadValue(s)
        Call SetUIElement(l,s)
 
        'get the state of the enfore extension
        s=sP & RegEnumElement(l) & sV2
        i=RegReadValue(s)
        if i=0 then Call SetUIElementEx(l,true)
    next
 else
    Disable
 end if
End Sub

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 for l=1 to iCount
     s=sP & RegEnumElement(l) & sV2
     b=GetUIElementEx(l)

     if b=true then
        Call RegWriteValue(s,0,2)
     else
        Call RegWriteValue(s,1,2)        
     end if
 next

End Sub


'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
