"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="2"
"UIPATH 1"="Network\Security\Kerberos"
"UIPATH 2"="System\Security\Common"
"NAME"="Kerberos UDP/TCP"
"VERSION"="1.21"
"OSVERSION"="0001011"
"LANGUAGE"="VBScript"
"WARNING"="1"
"TEXT 1"="Use UDP on Port 88 for Kerberos (default)"
"TEXT 2"="Use TCP on Port 88 for Kerberos"
"DESCRIPTION 1"="Kerberos is the default security provider for Windows 2000 (and upwards) computers that are connected to a Windows Domain. By default, Kerberos uses UDP Port 88 to contact a Domain Controller (DC) and log on."
"DESCRIPTION 2"="In some cases, it can happen that those UDP packets are blocked (e.g. because a firewall) and thus the Client will either be not able to connect to the DC, or use a weaker security provider like NTLM (because NTLM does not use UDP on Port 88)."
"DESCRIPTION 2"="However, you can fore Windows to use Kerberos on TCP (not UDP) on Port 88 with this setting. This might help in cases where a firewall is configured to let TCP packets through, but no UDP packets. To use Kerberos with TCP on port 88, clear the tick. To reset to the default behavior (UDP) activate this setting."
"DESCRIPTION 3"="For more information, please see http://support.microsoft.com/default.aspx?scid=kb;en-us;q244474 "
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Microsoft article "Forcing Kerberos to Use TCP Rather Than UDP in Windows 2000" -> http://support.microsoft.com/default.aspx?scid=kb;en-us;q244474 "


sVal="HKLM\SYSTEM\CurrentControlSet\Control\Lsa\Kerberos\Parameters\MaxPacketSize"

Sub Plugin_Initialize 
 if RegValueExists(sVal)=false then
    SetUIElement 1,true
 else
    SetUIElement 2,true
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
    if RegValueExists(sVal) then 
       Call RegDeleteValue(sVal) 
       Call Restart()
    end if
 else
    Call RegWriteValue(sVal,1,2) 
    Call Restart()
 end if
 
End Sub


Sub Plugin_Terminate 
End Sub



