"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="1"
"COUNT"="1"
"UIPATH 1"="Appearance\System\Command Prompt"
"UIPATH 2"="Program Options\Built in Windows Apps\Command Prompt"
"NAME"="CMD Prompt Config"
"OSVERSION"="0101011"
"VERSION"="1.02"
"LANGUAGE"="VBScript"
"TEXT 1"="Prompt"
"DESCRIPTION 1"="When you start a Command Box in Windows, it will display a prompt where you can enter the command to be executed. By default, this is "$P$G" which simply means "Display the current drive and path" ($P) followed by a ">" sign ($G), for example ("C:\WINNT>").
"DESCRIPTION 2"="However, you can easily configure this prompt by using any of the following characters:
"DESCRIPTION 3"="$N Current drive 
"DESCRIPTION 4"="$P Current drive and path 
"DESCRIPTION 5"="$T Current time 
"DESCRIPTION 6"="$D Current date 
"DESCRIPTION 7"="$V Windows version number
"DESCRIPTION 8"="The following are commands that will display single char:"
"DESCRIPTION 9"="$G  > 
"DESCRIPTION 10"="$L < 
"DESCRIPTION 11"="$C ( 
"DESCRIPTION 12"="$F )
"DESCRIPTION 13"="$S (space)
"DESCRIPTION 14"="$_ (Causes a CR/LF; new line)
"DESCRIPTION 15"="Beside this, you can also use any variable that is visible through the "set" command (execute it in a Command Box). For example, you could us:"
"DESCRIPTION 16"=""[%computername%]$P$G" to display the prompt "[MYCOMPUTER]C:\WINNT>""
"DESCRIPTION 17"="The restore the original value, simply clear the field and hit Apply. 
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to AXCEL216 for this tip."
"COMMENT 2"="See also: http://www.winguides.com/registry/display.php/1252/"


'Declaration of some constants
sP="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment\Prompt"

'Called when the Plugin is started
Sub Plugin_Initialize
 s=RegReadValue(sP)
 Call SetUIElement(1,s)
End Sub

'Called when the Plugin should validate the Data the user has entered
Sub Plugin_CheckData(ElementIndex)
End Sub

'Called when the Plugin should apply the changes
Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if len(s)=0 then
    if RegValueExists(sP) then 
       Call RegDeleteValue(sP)
       Call Restart()
    end if
 else
    Call RegWriteValue(sP,s,4)
    Call Restart()
 end if
End Sub

'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
End Sub

