"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="3"
"COUNT"="4"
"UIPATH"="Appearance\Files&Folders\Drives"
"NAME"="Drive Tools Menu"
"OSVERSION"="0101011"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Check Disk"
"DATA 1"="Applications|*.exe" 
"TEXT 2"="Defrag"
"DATA 2"="Applications|*.exe" 
"TEXT 3"="Backup"
"DATA 3"="Applications|*.exe" 
"TEXT 4"="Clean Up"
"DATA 4"="Applications|*.exe" 
"DESCRIPTION 1"="When you right a drive inside the Explorer, select "Properties" and switch to the "Tools" tab, Windows will display several command you can execute on the current drive."
"DESCRIPTION 2"="The programs that should be launched when you click on a button can be configured here. For example, you might not want to launch the default "Windows Backup" when you click the "Backup" button but Veritas BackupExec instead."
"DESCRIPTION 3"="To insert the current drive into the command, type "%c". For example, "c:\backup.exe %c" will be expanded to "c:\backup.exe E:\" if executed on drive E:\".
"DESCRIPTION 4"="The restore any of these command to their default values, simply clear the field and hit "Apply". "
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


sP="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\MyComputer\"
sV1="ChkDskPath"
sV2="DefragPath"
sV3="BackupPath"
sV4="CleanupPath"

sDef="\@"
sBackup="\XSET BAK"

Sub Plugin_Initialize
 s=RegReadValue(sP & sV1 & sDef)
 SetUIElement 1,s

 s=RegReadValue(sP & sV2 & sDef)
 SetUIElement 2,s

 s=RegReadValue(sP & sV3 & sDef)
 SetUIElement 3,s

 s=RegReadValue(sP & sV4 & sDef)
 SetUIElement 4,s
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 Call DoChange(sP & sV1,GetUIElement(1),1)
 Call DoChange(sP & sV2,GetUIElement(2),2)
 Call DoChange(sP & sV3,GetUIElement(3),3)
 Call DoChange(sP & sV4,GetUIElement(4),4)
End Sub

Sub DoChange(DA_PATH,DA_NEW_VALUE,INDEX)
 sBak=RegReadValue(DA_PATH & sBackup)
 sCur=RegReadValue(DA_PATH & sDef)

 if Len(DA_NEW_VALUE)=0 then
    'either restore or the field is really empty...
    if Len(sBAK)>0 then 
       Call RegWriteValue(DA_PATH & sDef,sBak,4)

       if RegValueExists(DA_PATH & sBackup) then
          Call RegDeleteValue(DA_PATH & sBackup)
       end if

       Call SetUIElement(INDEX,sBak)
    else 
       'there is no backup so write the empty value to the registry...
       Call RegWriteValue(DA_PATH & sDef,"",4)   
       Call SetUIElement(INDEX,"")
    end if
 else
    'set the value...
    if Len(sBAK)=0 then
       'no backup so far, create one
       if len(sCur)>0 then
          Call RegWriteValue(DA_PATH & sBackup,sCur,4)
       end if
    end if

    Call RegWriteValue(DA_PATH & sDef,DA_NEW_VALUE,4)
    Call SetUIElement(INDEX,DA_NEW_VALUE)
 end if
       
' if RegValueExists(DA_PATH & sBackup)
End Sub

Sub Plugin_Terminate 
End Sub
