"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="4"
"UIPATH"="System\File System\Windows NT/2K/XP Options"
"NAME"="Windows Master File Table Allocation"
"VERSION"="2.01"
"OSVERSION"="0101011"
"LANGUAGE"="VBScript"
"WARNING"="1"
"TEXT 1"="OS default value, use ~12.5% of disk size for MFT"
"TEXT 2"="Use ~25% of disk size for MFT"
"TEXT 3"="Use ~37.5% of disk size for MFT"
"TEXT 4"="Use ~50% of disk size for MFT (very big MFT)"
"DESCRIPTION 1"="In Windows NT (with SP6) and above you can control how much space for the MFT (Master File Table) is reserved."
"DESCRIPTION 2"="For each file and folder NTFS uses, an entry is created inside the MFT. This allows NTFS to located the objects very fast."
"DESCRIPTION 3"="However, only a MFT that is in one block is really fast. If you copy many small images to this computer, the normal MFT space is properly to small, so the MFT is continued on a different location on the hard disk."
"DESCRIPTION 4"="This is not a problem because the computer still works, but any request to a file takes much longer because now NTFS needs to seek for two MFT "block" and reads both (for every file access!). In this example, a big MFT would be a good idea so it is keeped in one block."
"DESCRIPTION 5"="On the other hand, if you only have some very huge database files on this computer, a huge MFT is not a good idea since every file request takes longer than needed (the MFT is allways read completely). That's because there are only few files on the disk and the MFT could be small."
"DESCRIPTION 6"="Unfortunately, Microsoft didn't specifies this setting in detail, so the only chance is to play around with this settings and check the performance of the computer after you have changed this setting and rebooted."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="see MS KB Q174619"
"COMMENT 2"="Thanks to http://eric.jesover.net for the vice versa bug notice!"
"COMMENT 3"="See also: http://www.microsoft.com/technet/treeview/default.asp?url=/technet/prodtechnol/winxppro/reskit/prkc_fil_xhpo.asp"
"COMMENT 4"="Thanks to eugenu for the new information and idea!"
 
 



sP="HKLM\System\CurrentControlSet\Control\FileSystem\NtfsMftZoneReservation"  'DW

'Called when the Plugin is started
SUB Plugin_Initialize
    i=RegReadValue(sP)

    if IsEmpty(i) then
       SetUIElement 1,true
    else
       if i="1" then SetUIElement 1,true
       if i="2" then SetUIElement 2,true
       if i="3" then SetUIElement 3,true
       if i="4" then SetUIElement 4,true
    end if
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 if GetUIElement(1)=true then
    If RegValueExists(sP) then RegDeleteValue(sP)
    s=""
 else
    if GetUIElement(2)=true then
       s="2"
    else
       if GetUIElement(3)=true then
          s="3"
       else
          if GetUIElement(4)=true then
             s="4"
          end if
       end if
 
    end if
 end if
 
 if len(s)>0 then
    Call RegWriteValue(sP,s,1)
 end if 
 
 Call Restart()
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
 
END SUB
