"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="2"
"UIPATH"="System\AutoPlay\Data CDs Options"
"NAME"="AutoPlay Block list"
"OSVERSION"="0000011"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Add New"
"TEXT 2"="Delete"
"DESCRIPTION 1"="When a Data CD is inserted and AutoPlay is activated, Windows will check for the file AUTORUN.INF on the root of the drive. If this file is found, it's read and see if it contains a configuration line like OPEN="xxx.exe". If so, this command will be executed. Many software packages use this to display a menu so the user can choose what to do. 
"DESCRIPTION 2"="However, some badly coded software packages start directly the installation without any menu, and this is something you properly don't want. Therefore, Windows does include a block list of commands that will NOT be executed if the OPEN= configuration line matches one of the items in this list. 
"DESCRIPTION 3"="For example, the list normally contains the entry "*setup*.exe". So, if the file AUTORUN.INF of a drive contains the line "OPEN=SETUP.EXE", Windows won't execute the command since the command is on the block list.
"DESCRIPTION 4"="You can use these settings here to remove items from this block list or add new ones. 
"DESCRIPTION 5"="Click "Add" to add an item or "Delete" to remove an item."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


  sP="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\CancelAutoplay\Files\"

Dim aryLoc()
Dim iReadAllCount


Sub Plugin_Initialize 
  iReadAllCount=0
  Call ReloadAll
End Sub

Sub ReloadAll
 for i=1 to iReadAllCount
     Call SetUIElement(i,"")
 next 

 i=0

 iC=RegEnumValues(sP)
 i=i+iC

 ReDim aryLoc(i)
 iReadAllCount=1

 Call ReadAll(sP,1)
End Sub

Sub ReadAll(key,idx)
 iC=RegEnumValues(key)
 if iC>0 then
    for l=1 to iC
        sName=RegEnumElement(l)
        
        if InStr(sName,"\")=0 then
           Call SetUIElement(iReadAllCount,sName)
           aryLoc(iReadAllCount)=idx
           iReadAllCount=iReadAllCount+1
        end if
    Next
 end if

End Sub



Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)

 if ElementIndex=1 then '//Add new
    sNewName=InputWindow("Please enter the file pattern to be blocked, e.g. *setup*.exe","",1) 
    if IsEmpty(sNewName)=false then
       Call RegWriteValue(sP & sNewName,"",1)
       Call ReloadAll()

       Call MsgInformation("New item added")
    end if
 else
    If ElementIndex=2 then 'Delete
       if ElementSubIndex>0 then
          sRegPath=sP
          'Look up Registry name
          sRegName=GetUIElement(ElementSubIndex)

          Call RegDeleteValue(sRegPath & sRegName)
          Call ReloadAll

          Call MsgInformation("Item has been removed")
       else
          Call MsgError("Please select an item to be deleted first")
       end if
    end if

 end if


End Sub

Sub Plugin_Terminate 
End Sub



