"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="1"
"COUNT"="4"
"UIPATH"="System\AutoPlay\Custom Handlers"
"NAME"="Custom Handler #1"
"OSVERSION"="0000011"
"VERSION"="1.05"
"LANGUAGE"="VBScript"
---"TEXT 1"="Menu Text"
"TEXT 1"="Action Text"
"TEXT 2"="Provider Text"
"TEXT 3"="Command"
"TEXT 4"="Icon"
"DESCRIPTION 1"="When Windows detects a CD-ROM (or any other media) which does not contain an AUTORUN.INF normally needed for AutoPlay, Windows will check if there are any "handlers" available that can "handle" the contents of the CD-ROM. 
"DESCRIPTION 2"="For example, when you insert a Video-CD usually does not contain an AUTORUN.INF, Windows will check if there is one or more handlers registered to handle this Video-CD. If so, a window will pop up displaying the registered handlers so you can easily choose one. You can also select one of these handlers as the default selection for the current type of CD-ROM.
"DESCRIPTION 3"="Windows out-of-the-box does only include the Windows Media Player as "handler" for Video-CDs. With this plug-in, you could easily define your favorite video player as your "Customer Handler #1" and later on assign this Custom Handler to Video-CDs (see folder "Handler Assignment"). 
"DESCRIPTION 4"="Next time you insert a Video-CD, Window will not only display the default "Show Video using Windows Media Player" but also your own "Show Video using My Favorite Player". 
"DESCRIPTION 5"="To define your own Handler, first insert an Action Text and the Provider Text. This will later on appear inside the AutoPlay window as Action Text` with `Provider Text`. For example, 'Show this Video-CD' as action text and `Super-Duper VCD Player` as Provider Text would read `Show this Video-CD using Super Duper VCD Player` inside the AutoPlay window. 
"DESCRIPTION 6"="The field "Command" tells Windows where to find the program that should be executed, for example "C:\Program Files\Super Duper\player.exe". The currently selected drive can be inserted with "%1", for example "C:\ player.exe %1" would result in the executed command "C:\ player.exe E:\" if E:\ is the drive containing the CD.
"DESCRIPTION 7"=""Icon" is the icon that should be displayed inside the AutoPlay window. The easiest way is to simply supply the command again, appended by ",0" to tell Windows to use the first icon. For example "C:\ player.exe,0" would result in the first icon of player.exe to be displayed. 
"DESCRIPTION 8"="IMPORTANT: You must first assign this custom handler to a CD type before it will show up! Simply defining it here will not make it appear. Please see the folder "Handler Assignment".
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Matthias Meier [digi_c at web.de] for the idea."
"COMMENT 2"="Thanks to IssaMe for the bug notice!"

'***** MAIN FILE !!!!! ******
sNameMain="X-Setup_AutoPlay_CustomHandler1"
'***** THIS IS A ORIGINAL FILE ******


'*** OTHER CONST ***
sMenu_Path_1="HKLM\Software\Classes\" & sNameMain & "\"
sMenu_Path_2=sMenu_Path_1 & "shell\"
sMenu_Path_3=sMenu_Path_2 & "open\"
sMenu_Path_4=sMenu_Path_3 & "@"
sMenu_Path_5=sMenu_Path_3 & "command\"
sMenu_Path_6=sMenu_Path_5 & "@"

sHandler_Path1="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\" & sNameMain & "\"
'sHandler_Path2=sHandler_Path1 & "Action String"
sHandler_Path2=sHandler_Path1 & "Action"
sHandler_Path3=sHandler_Path1 & "Provider"
sHandler_Path5=sHandler_Path1 & "DefaultIcon"

sHandler_Path6=sHandler_Path1 & "InvokeProgID"
sHandler_Path7=sHandler_Path1 & "InvokeVerb"

Sub Plugin_Initialize
' s=RegReadValue(sMenu_Path_4)
' SetUIElement 1,s

 s=RegReadValue(sHandler_Path2)
 SetUIElement 1,s

 s=RegReadValue(sHandler_Path3)
 SetUIElement 2,s

 s=RegReadValue(sMenu_Path_6)
 SetUIElement 3,s

 s=RegReadValue(sHandler_Path5)
 SetUIElement 4,s
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 ''sMenuText=GetUIElement(1)
 sMenuText=GetUIElement(1)

 sActionText=GetUIElement(1)
 sProvText=GetUIElement(2)
 sCmd=GetUIElement(3)
 sIcon=GetUIElement(4)

 bAllFilled=false
 if len(sMenuText)>0 and len(sActionText)>0 and len(sProvText)>0 and len(sCmd)>0 then
    bAllFilled=true
 end if
 
 bSomeMissing=false
 if len(sMenuText)=0 or len(sActionText)=0 or len(sProvText)=0 or len(sCmd)=0 then
    bSomeMissing=true
 end if

 bAllMissing=false
 if len(sMenuText)=0 and len(sActionText)=0 and len(sProvText)=0 and len(sCmd)=0 and len(sIcon)=0 then
    bAllMissing=true
 end if



 if bAllMissing=true then 'delete all
    If RegPathExists(sMenu_Path_5) then Call RegDeletePath(sMenu_Path_5)
    If RegPathExists(sMenu_Path_3) then Call RegDeletePath(sMenu_Path_3)
    If RegPathExists(sMenu_Path_2) then Call RegDeletePath(sMenu_Path_2)
    If RegPathExists(sMenu_Path_1) then Call RegDeletePath(sMenu_Path_1)

    if RegValueExists(sHandler_Path7) then Call RegDeleteValue(sHandler_Path7)     
    if RegValueExists(sHandler_Path6) then Call RegDeleteValue(sHandler_Path6)     
    if RegValueExists(sHandler_Path5) then Call RegDeleteValue(sHandler_Path5)
'''    if RegValueExists(sHandler_Path4) then Call RegDeleteValue(sHandler_Path4)     
    if RegValueExists(sHandler_Path3) then Call RegDeleteValue(sHandler_Path3)     
    if RegValueExists(sHandler_Path2) then Call RegDeleteValue(sHandler_Path2)     
    if RegPathExists(sHandler_Path1) then Call RegDeletePath(sHandler_Path1)     
         

 else
    if bAllFilled=true then 'set all
       Call RegWriteValue(sMenu_Path_4,sMenutext,1)
       Call RegWriteValue(sMenu_Path_6,sCmd,1)
       Call RegWriteValue(sHandler_Path2,sActionText,1)
       Call RegWriteValue(sHandler_Path3,sProvText,1)
       Call RegWriteValue(sMenu_Path_6,sCmd,1)
       if len(sIcon)>0 then 
          Call RegWriteValue(sHandler_Path5,sIcon,1)
       else 
          If RegValueExists(sHandler_Path5) then Call RegDeleteValue(sHandler_Path5)
       end if

       Call RegWriteValue(sHandler_Path6,sNameMain,1)
       Call RegWriteValue(sHandler_Path7,"open",1)

       Call MsgInformation("Your custom handler has been added. Please notice that you need to assign it (see folder Handler Assignment) before it will appear inside the AutoPlay list.") 
     else
       if bSomeMissing=true then
          Call MsgError("Please fill out all fields (icon may be left blank) to add a custom item or clear all fields to remove it.")
       end if
    end if
 end if

 
End Sub

Sub Plugin_Terminate 
End Sub
