"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="2"
"UIPATH 1"="Appearance\Explorer\Settings"
"NAME"="File Sorting Algorithm"
"LANGUAGE"="VBScript"
"TEXT 1"="Activate new file sorting algorithm (Current User)"
"TEXT 2"="Activate new file sorting algorithm (All Users)"
"DESCRIPTION 1"="All Windows versions before Windows XP used a binary sorting algorithm for sorting files. This resulted in a file listing like "File 1.doc, File 10.doc, File 2.doc". As you can see, files with decimal parts are not sorted as you would expect it, "1,2,10", but instead binary. That way, "10" comes before "2"."
"DESCRIPTION 2"="Since Windows XP, Windows uses a new character-based sorting algorithm that respects the logical order of filenames, so "10" comes AFTER "2". For example, the above noted example will list "File 1.doc, File 2.doc, File 10.doc" with XP."
"DESCRIPTION 3"="However, if you do not wish to use this new sorting algorithm, you may turn off here."
"DESCRIPTION 4"="You may activated or deactivate this setting either for you only or globally for all users on this PC by using either the "Current User" or "All Users" setting. If both types are set, All Users will apply."
"VERSION"="1.06"
"AUTHOR"="Xteq Systems (CptSiskoX)"
"COPYRIGHT"="Copyright 2003  Xteq Systems - All Rights Reserved"
"CONTACTURL"="http://www.xteq.com/"
"OSVERSION"="0000011"
"COMMENT 1"="See: http://www.pcmag.com/article2/0,4149,1226705,00.asp"


sP_SYS="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoStrCmpLogical" 'DW
sP_USR="HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoStrCmpLogical" 'DW

SUB Plugin_Initialize
 i=RegReadValue(sP_USR)
 if i<>1 then
    Call SetUIElement(1,true)
 end if

 i=RegReadValue(sP_SYS)
 if i<>1 then
    Call SetUIElement(2,true)
 end if
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if i=true then
    If RegValueExists(sP_USR) then Call RegDeleteValue(sP_USR)
 else
   Call RegWriteValue(sP_USR,1,2)
 end if
 
 i=GetUIElement(2)
 if i=true then
    If RegValueExists(sP_SYS) then Call RegDeleteValue(sP_SYS)
 else
   Call RegWriteValue(sP_SYS,1,2)
 end if


 Call Restart()
END SUB

SUB Plugin_Terminate
END SUB