"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="3"
"UIPATH 1"="Appearance\Explorer\Settings"
"UIPATH 2"="Network\Explorer"
"NAME"="Remote Computers Description"
"TEXT 1"="Show Desc..."
"TEXT 2"="Edit Desc..."
"TEXT 3"="Delete"
"VERSION"="1.10"
"OSVERSION"="0000011"
"LANGUAGE"="VBScript"
"DESCRIPTION 1"="If you have drives connected through your network, you might see that Windows does no longer simply display the server name inside Explorer "software on FileServer1 (S:)" but will use the computer description of the server "software on Central Fileserver for our company (S:)" if any."
"DESCRIPTION 2"="Basically this function should help people to more easily select the server they want to use but it can also be very annoying having so long drive description inside Explorer. Moreover, this function will only retrieve the computer description once. This means, if the server description was a very long name before ("Central Fileserver for our Company") and is later changed to a shorter name ("Central Fileserver") you will still see the old, long name. That's because Explorer does retrieve the computer description once and stores it locally. It does not care if the server its description changes later on."
"DESCRIPTION 3"="With this plug-in you can either edit the description to nothing (empty field) and thus you will simply see the server name (e.g. "software on FileServer1 (S:)"). This is the same behavior as Windows NT or Windows 2000 are using."
"DESCRIPTION 4"="You might also simply change the description to something you might like (e.g. "software on My Cool New Description (S:)"). "
"DESCRIPTION 5"="The final option you have is to simply delete a server entry and on the next connection to that server, Windows will retrieve the current computer description again and store it. "
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to alzheimer (tobipick.de) for this plug-in!"
"COMMENT 2"="Thanks to umuhk for the backslash error notice!"


sP="HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\ComputerDescriptions\"
iCount=0

Sub Plugin_Initialize  
   Call ReadData

End Sub

Sub ReadData
 for i=1 to iCount
     Call SetUIElement(i,"")
 next 

   iCount=RegEnumValues(sP)
   for l=1 to iCount
     s=sP & RegEnumElement(l) 
     s2=RegReadValue(s)

     Call SetUIElement(l,RegEnumElement(l) & " = " & s2)
   next

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if ElementSubIndex>0 then 'OK, user has selected an item

    sValue=RegEnumElement(ElementSubIndex)
    sValue=Replace(sValue,"\","\\")
    s=sP & sValue
    sV=RegReadValue(s) 


    If ElementIndex=1 then 
       'Show Info

       Call MsgInformation("Description of the selected computer: " & chr(13) & chr(10) & sV)
       exit sub
    end if

    if ElementIndex=2 then
       'edit desc

       sV=InputWindow("Change description",sV,1)

       if IsEmpty(sV)=false then
          'change it (write REG_EXPAND_SZ)
          Call RegWriteValue(s,sV,1)
          
          'update UI
          Call ReadData
       end if 

    end if

    If ElementIndex=3 then    
       'Delete!!

       Call RegDeleteValue(s) 
       Call ReadData 
    end if



 else
  Call MsgWarning("No item selected - please select an item first.")
 end if
End Sub

Sub Plugin_Terminate 
End Sub



