"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="3"
"UIPATH 1"="Startup/Shutdown\Startup\Windows NT/2K/XP\31) Inside Login Window"
"UIPATH 2"="Network\Security\Passwords"
"NAME"="Welcome Window Password Hints"
"VERSION"="1.00"
"OSVERSION"="0000011"
"LANGUAGE"="VBScript"
"TEXT 1"="Show"
"TEXT 2"="Edit..."
"TEXT 3"="Delete Hint"
"DESCRIPTION 1"="When a user tries to log into the computer and enters an incorrect password, Windows will display a password hint that helps the user to remember the correct password."
"DESCRIPTION 2"="With these settings you can view or edit all hints on this computer. You may also clear a password hint if, for example, has set its password hint to the password itself."
"DESCRIPTION 3"="Please note that these hints will only be visible if the following conditions are met:"
"DESCRIPTION 4"="a)  The computer is not connected to a Domain"
"DESCRIPTION 5"="b)  The computer uses the new "Welcome window" login screen"
"DESCRIPTION 6"="In any other case, the password hints will not be displayed."
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"


'Declaration of some constants
sP="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Hints\"
sV1="\@"

Dim iCount
Dim aryLoc()

iCount=0

'Called when the Plugin is started
SUB Plugin_Initialize
 'empty list
 For l=1 to iCount
     Call SetUIElement(l,"")
 next

 'read again
 iCount=RegEnumPaths(sP)
 
 if iCount>0 then
    'redim array
    ReDim aryLoc(iCount)

    for l=1 to iCount
        s=RegEnumElement(l)
        aryLoc(l)=s

        Call SetUIElement(l,s)
    next
 else
    Disable
 end if
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)

 if ElementSubIndex>0 then 'OK, user has selected an item 

    sName=aryLoc(ElementSubIndex)
    sPath=RegReadValue(sP & sName & sV1)


    Select Case ElementIndex
    Case 1 'Show
         if len(sPath)>0 then
            Call MsgInformation("Current password hint: " & chr(13) & chr(10) & sPath)
         else
            Call MsgInformation("The selected user has no password hint set")
         end if

    Case 2 'Edit
         sNew=InputWindow("Password hint",sPath,1) 
         if IsEmpty(sNew)=false then
            Call RegWriteValue(sP & sName & sV1,sNew,1)
            Call MsgInformation("Password hint changed to: " & sNew)
         end if


    Case 3 'DELETE

         Call RegWriteValue(sP & sName & sV1,"",1)
         Call MsgInformation("Password hint deleted")        
    End Select

 else
    Call MsgWarning("No item selected - please select an item first.")
 end if


' end if
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
