"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="System\System Restore"
"NAME"="Configuration Enabled"
"VERSION"="1.01"
"OSVERSION"="0000011"
"LANGUAGE"="VBScript"
"TEXT 1"="Enable Configuration of System Restore"
"DESCRIPTION 1"="The System Restore service allows you to set checkpoints at any time which are basically a "Snapshot" of your system at the time the checkpoint (snapshot) was taken.
"DESCRIPTION 2"="Windows also uses this service internally, for example when you install new drivers. If the driver installation fails, you can use the checkpoint before the installation to roll back your system to the time before the driver installation. 
"DESCRIPTION 3"="If this setting is disabled, Windows does no longer allow ANY user to change the configuration of the System Restore Services. This is useful when a lot of people use this computer and everybody changes the configuration. 
"DESCRIPTION 4"="Simply configure System Restore as you wish, then disable this setting so nobody can change the settings after that. 
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="From WinNT Magazin - contributed by David Chernicoff, david@winnetmag.com"

sV1="HKLM\SOFTWARE\Policies\Microsoft\Windows NT\SystemRestore\DisableConfig" 'DW


Sub Plugin_Initialize 
  if RegReadValue(sV1)<>1 then 
     Call SetUIElement(1,true)
  end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if GetUIElement(1)=true then
    If RegValueExists(sV1) then Call RegDeleteValue(sV1)
 else
    Call RegWriteValue(sV1,1,2)
 end if

 Call Restart()
End Sub

Sub Plugin_Terminate 
End Sub
