"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH 1"="Network\Security\Internet"
"UIPATH 2"="Internet\Windows Internet Components"
"NAME"="WinInet Unencrpyted Basic Authentication"
"VERSION"="1.02"
"OSVERSION"="0000011"
"LANGUAGE"="VBScript"
"TEXT 1"="Allow WinInet to use unencrpyted basic auth."
"DESCRIPTION 1"="All programs that use the HTTP protocol and the internet components of Windows (called WinINet) support the so called Basic Authentication. "
"DESCRIPTION 2"="Basic Authentication is a very old authentication method and simply means: transfer my username and password unencrypted. For example, if you want to log in a restricted area of a website, you are usually prompted for a username and a password. Mostly, these simply password checks are transmitted using basic authentication."
"DESCRIPTION 3"="Normally, each site that uses basic authentication should encrypt the data transfer between the server and you, for example using SSL (also known as HTTPS). However, some sites do not support this so your username and password information are transmitted unencrypted through the internet, viewable for everyone that can "sniff" into the transfer between you and the server."
"DESCRIPTION 4"="Windows XP Service Pack 2 and above disable by default the functionality to send the username and password (Basic Authentication) when using an unencrypted transfer. "
"DESCRIPTION 5"="For example, if you try to login into a server using basic authentication (unencrypted) using HTTP (no "S", also unencrypted) this will fail. On the other hand, if are using basic authentication (unencrypted) using HTTPS (with "S", this means encrypted) it will work right out of the box. "
"DESCRIPTION 6"="This setting controls if it is possible to send the user name and password with basic authentication using an unencrypted transfer. You should enable this only if you need to access a server that only support basic authentication with HTTP. Normally, this should be left turned off."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.x-setup.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Win XP SP2 Release Notes: WININET: Disabling Basic Authentication over a clear channel"
"COMMENT 2"=""


'Declaration of some constants
sP="HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\DisableBasicOverClearChannel" 'DW

'Called when the Plugin is started
SUB Plugin_Initialize
 s=RegReadValue(sP)
 if IsEmpty(s) or s=0 then
  Call SetUIElement(1,true)
 end if
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if s=true then
    if RegValueExists(sP) then Call RegDeleteValue(sP)
 else
    Call RegWriteValue(sP,1,2)
 end if
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB

